#ifndef UART_DRIVER_SIMPLE_H
#define UART_DRIVER_SIMPLE_H

/*
 * El driver mas completo tiene dos buffer: Una de entrada y otra de salida.
 * Cuando existe una interrupcion tanto de envio como de recepecion trabajara el handler.
 * 	 Handler:
 *
 *   Send: Primero escribe en el buffer de salida en los huecos que quedan libres.buffer circular.
 *   	   Despues enviara al device utilizando la funcion. Para ello sacara del buffer circular los
 *   	   elementos a enviar y mientras haya espacio en la UART. Para poder enviar utiliza dos variable
 *   	   para sincronizar el uso OutIntPending y writingToBuf=1.
 */

#define UART_BAUD_RATE 115200

int UART_DRIVER_SIMPLE_open(void);
void UART_DRIVER_SIMPLE_close(void);
int UART_DRIVER_SIMPLE_send( const unsigned char *, unsigned long );
int UART_DRIVER_SIMPLE_recv( unsigned char *);
int UART_DRIVER_SIMPLE_recvCount(  unsigned char *p, unsigned long *pSize);
int UART_DRIVER_SIMPLE_peekChar(  char c );

#endif
