


#ifndef _GestorAccesosInterfaceMovimientoPuertas_H
#define _GestorAccesosInterfaceMovimientoPuertas_H

#ifdef _GestorAccesosInterfaceMovimientoPuertas_C
#define _PUB_GestorAccesosInterfaceMovimientoPuertas
#else
#define _PUB_GestorAccesosInterfaceMovimientoPuertas extern
#endif

typedef struct Tipo_InterfaceMovimientoPuertas	InterfaceMovimientoPuertas;


#include "GestorAccesos.h"
#include "MANIOBRAAppMANIOBRA.h"

				
				
			
				
					
struct Tipo_InterfaceMovimientoPuertas{
	GestorAccesos  *parent 
;
};

/*************************************************************
  	Descripcion: activarAperturaPuertas()
  	Param:
  	Return:
  	Data
 **************************************************************/
	_PUB_GestorAccesosInterfaceMovimientoPuertas 
	void 	  activarAperturaPuertas( 	InterfaceMovimientoPuertas  *objeto )

;
/*************************************************************
  	Descripcion: desactivarAperturaPuertas()
  	Param:
  	Return:
  	Data
 **************************************************************/
	_PUB_GestorAccesosInterfaceMovimientoPuertas 
	void 	  desactivarAperturaPuertas( 	InterfaceMovimientoPuertas  *objeto )

;
/*************************************************************
  	Descripcion: activarCierrePuertas()
  	Param:
  	Return:
  	Data
 **************************************************************/
	_PUB_GestorAccesosInterfaceMovimientoPuertas 
	void 	  activarCierrePuertas( 	InterfaceMovimientoPuertas  *objeto )

;
/*************************************************************
  	Descripcion: desactivarCierrePuertas()
  	Param:
  	Return:
  	Data
 **************************************************************/
	_PUB_GestorAccesosInterfaceMovimientoPuertas 
	void 	  desactivarCierrePuertas( 	InterfaceMovimientoPuertas  *objeto )

;
/*************************************************************
  	Descripcion: estaActivadoIR()
  	Param:
  	Return:
  	Data
 **************************************************************/
	_PUB_GestorAccesosInterfaceMovimientoPuertas 
	void 	  estaActivadoIR( 	InterfaceMovimientoPuertas  *objeto )

;
/*************************************************************
  	Descripcion: estaActivadoIRM()
  	Param:
  	Return:
  	Data
 **************************************************************/
	_PUB_GestorAccesosInterfaceMovimientoPuertas 
	void 	  estaActivadoIRM( 	InterfaceMovimientoPuertas  *objeto )

;
/*************************************************************
  	Descripcion: desactivadoAperturaPorIR()
  	Param:
  	Return:
  	Data
 **************************************************************/
	_PUB_GestorAccesosInterfaceMovimientoPuertas 
	void 	  desactivadoAperturaPorIR( 	InterfaceMovimientoPuertas  *objeto )

;
/*************************************************************
  	Descripcion: desactivadoAperturaPorIRM()
  	Param:
  	Return:
  	Data
 **************************************************************/
	_PUB_GestorAccesosInterfaceMovimientoPuertas 
	void 	  desactivadoAperturaPorIRM( 	InterfaceMovimientoPuertas  *objeto )

;
/*************************************************************
  	Descripcion: puertasEstaActivadoRetrocesoLocal()
  	Param:
  	Return:
  	Data
 **************************************************************/
	_PUB_GestorAccesosInterfaceMovimientoPuertas 
	void 	  puertasEstaActivadoRetrocesoLocal( 	InterfaceMovimientoPuertas  *objeto )

;
/*************************************************************
  	Descripcion: activarReposoPuertas()
  	Param:
  	Return:
  	Data
 **************************************************************/
	_PUB_GestorAccesosInterfaceMovimientoPuertas 
	void 	  activarReposoPuertas( 	InterfaceMovimientoPuertas  *objeto )

;
/*************************************************************
  	Descripcion: desactivarReposoPuertas()
  	Param:
  	Return:
  	Data
 **************************************************************/
	_PUB_GestorAccesosInterfaceMovimientoPuertas 
	void 	  desactivarReposoPuertas( 	InterfaceMovimientoPuertas  *objeto )

;
/*************************************************************
  	Descripcion: permiso_varias()
  	Param:
  	Return:
  	Data
 **************************************************************/
	_PUB_GestorAccesosInterfaceMovimientoPuertas 
	void 	  permiso_varias( 	InterfaceMovimientoPuertas  *objeto )

;
/*************************************************************
  	Descripcion: activarPermisos()
  	Param:
  	Return:
  	Data
 **************************************************************/
	_PUB_GestorAccesosInterfaceMovimientoPuertas 
	void 	  activarPermisos( 	InterfaceMovimientoPuertas  *objeto )

;
/*************************************************************
  	Descripcion: finAbrir()
  	Param:
  	Return:
  	Data
 **************************************************************/
	_PUB_GestorAccesosInterfaceMovimientoPuertas 
	void 	  finAbrir( 	InterfaceMovimientoPuertas  *objeto )

;
/*************************************************************
  	Descripcion: permisoAperturaAlgunaPuerta()
  	Param:
  	Return:
  	Data
 **************************************************************/
	_PUB_GestorAccesosInterfaceMovimientoPuertas 
	void 	  permisoAperturaAlgunaPuerta( 	InterfaceMovimientoPuertas  *objeto )

;
/*************************************************************
  	Descripcion: permisoCondicionAperturaAlgunaPuerta()
  	Param:
  	Return:
  	Data
 **************************************************************/
	_PUB_GestorAccesosInterfaceMovimientoPuertas 
	void 	  permisoCondicionAperturaAlgunaPuerta( 	InterfaceMovimientoPuertas  *objeto )

;
/*************************************************************
  	Descripcion: validaLimiteDeCierres()
  	Param:
  	Return:
  	Data
 **************************************************************/
	_PUB_GestorAccesosInterfaceMovimientoPuertas 
	void 	  validaLimiteDeCierres( 	InterfaceMovimientoPuertas  *objeto )

;
/*************************************************************
  	Descripcion: noSonPuertasTrifasicas()
  	Param:
  	Return:
  	Data
 **************************************************************/
	_PUB_GestorAccesosInterfaceMovimientoPuertas 
	void 	  noSonPuertasTrifasicas( 	InterfaceMovimientoPuertas  *objeto )

;
/*************************************************************
  	Descripcion: algunaPuertaTrifasica()
  	Param:
  	Return:
  	Data
 **************************************************************/
	_PUB_GestorAccesosInterfaceMovimientoPuertas 
	void 	  algunaPuertaTrifasica( 	InterfaceMovimientoPuertas  *objeto )

;
/*************************************************************
  	Descripcion: presencia_IR_cerrando_nug()
  	Param:
  	Return:
  	Data
 **************************************************************/
	_PUB_GestorAccesosInterfaceMovimientoPuertas 
	void 	  presencia_IR_cerrando_nug( 	BYTE irKKKKKKKKKKKKKKKKKKKKKK , 	InterfaceMovimientoPuertas  *objeto )

;
/*************************************************************
  	Descripcion: noHayAveriaEnLasPuertas()
  	Param:
  	Return:
  	Data
 **************************************************************/
	_PUB_GestorAccesosInterfaceMovimientoPuertas 
	void 	  noHayAveriaEnLasPuertas( 	WORD wCodeAvKKKKKKKKKKKKKKKKKKKKKK , 	InterfaceMovimientoPuertas  *objeto )

;
/*************************************************************
  	Descripcion: hayAveriaEnAlgunaPuerta()
  	Param:
  	Return:
  	Data
 **************************************************************/
	_PUB_GestorAccesosInterfaceMovimientoPuertas 
	void 	  hayAveriaEnAlgunaPuerta( 	WORD wCodeAvKKKKKKKKKKKKKKKKKKKKKK , 	InterfaceMovimientoPuertas  *objeto )

;
/*************************************************************
  	Descripcion: chequeaAnomaliaPuertas()
  	Param:
  	Return:
  	Data
 **************************************************************/
	_PUB_GestorAccesosInterfaceMovimientoPuertas 
	void 	  chequeaAnomaliaPuertas( 	WORD wCodeAvKKKKKKKKKKKKKKKKKKKKKK , 	InterfaceMovimientoPuertas  *objeto )

;
/*************************************************************
  	Descripcion: finAveriaPuertas()
  	Param:
  	Return:
  	Data
 **************************************************************/
	_PUB_GestorAccesosInterfaceMovimientoPuertas 
	void 	  finAveriaPuertas( 	WORD wCodeAvKKKKKKKKKKKKKKKKKKKKKK , 	InterfaceMovimientoPuertas  *objeto )

;
/*************************************************************
  	Descripcion: puertasAReposoTotal()
  	Param:
  	Return:
  	Data
 **************************************************************/
	_PUB_GestorAccesosInterfaceMovimientoPuertas 
	void 	  puertasAReposoTotal( 	InterfaceMovimientoPuertas  *objeto )

;
/*************************************************************
  	Descripcion: puertasEliminarRetrocesoLocal()
  	Param:
  	Return:
  	Data
 **************************************************************/
	_PUB_GestorAccesosInterfaceMovimientoPuertas 
	void 	  puertasEliminarRetrocesoLocal( 	InterfaceMovimientoPuertas  *objeto )

;
/*************************************************************
  	Descripcion: puertasEliminarER()
  	Param:
  	Return:
  	Data
 **************************************************************/
	_PUB_GestorAccesosInterfaceMovimientoPuertas 
	void 	  puertasEliminarER( 	InterfaceMovimientoPuertas  *objeto )

;
/*************************************************************
  	Descripcion: puertasPermisosRetrocesoLocalForzad()
  	Param:
  	Return:
  	Data
 **************************************************************/
	_PUB_GestorAccesosInterfaceMovimientoPuertas 
	void 	  puertasPermisosRetrocesoLocalForzad( 	InterfaceMovimientoPuertas  *objeto )

;
/*************************************************************
  	Descripcion: puertasPermisosRetrocesoLocalNormal()
  	Param:
  	Return:
  	Data
 **************************************************************/
	_PUB_GestorAccesosInterfaceMovimientoPuertas 
	void 	  puertasPermisosRetrocesoLocalNormal( 	InterfaceMovimientoPuertas  *objeto )

;
/*************************************************************
  	Descripcion: activarCierrePuertasForzado()
  	Param:
  	Return:
  	Data
 **************************************************************/
	_PUB_GestorAccesosInterfaceMovimientoPuertas 
	void 	  activarCierrePuertasForzado( 	InterfaceMovimientoPuertas  *objeto )

;
/*************************************************************
  	Descripcion: puertasActivarPermnisosActFalncoIR()
  	Param:
  	Return:
  	Data
 **************************************************************/
	_PUB_GestorAccesosInterfaceMovimientoPuertas 
	void 	  puertasActivarPermnisosActFalncoIR( 	InterfaceMovimientoPuertas  *objeto )

;
/*************************************************************
  	Descripcion: puertasDesactivaTiemposLAP()
  	Param:
  	Return:
  	Data
 **************************************************************/
	_PUB_GestorAccesosInterfaceMovimientoPuertas 
	void 	  puertasDesactivaTiemposLAP( 	InterfaceMovimientoPuertas  *objeto )

;
/*************************************************************
  	Descripcion: puertasPresenciaIRNugging()
  	Param:
  	Return:
  	Data
 **************************************************************/
	_PUB_GestorAccesosInterfaceMovimientoPuertas 
	void 	  puertasPresenciaIRNugging( 	InterfaceMovimientoPuertas  *objeto )

;
/*************************************************************
  	Descripcion: activaGongAccesos()
  	Param:
  	Return:
  	Data
 **************************************************************/
	_PUB_GestorAccesosInterfaceMovimientoPuertas 
	void 	  activaGongAccesos( 	InterfaceMovimientoPuertas  *objeto )

;
/*************************************************************
  	Descripcion: puertasReseteafIR()
  	Param:
  	Return:
  	Data
 **************************************************************/
	_PUB_GestorAccesosInterfaceMovimientoPuertas 
	void 	  puertasReseteafIR( 	InterfaceMovimientoPuertas  *objeto )

;
/*************************************************************
  	Descripcion: permisosDePuertasDesactivados()
  	Param:
  	Return:
  	Data
 **************************************************************/
	_PUB_GestorAccesosInterfaceMovimientoPuertas 
	void 	  permisosDePuertasDesactivados( 	InterfaceMovimientoPuertas  *objeto )

;
/*************************************************************
  	Descripcion: hayLlamadasCabinaParaAlgunAcces()
  	Param:
  	Return:
  	Data
 **************************************************************/
	_PUB_GestorAccesosInterfaceMovimientoPuertas 
	void 	  hayLlamadasCabinaParaAlgunAcces( 	InterfaceMovimientoPuertas  *objeto )

;
/*************************************************************
  	Descripcion: hayLlamadasCabinaEncima()
  	Param:
  	Return:
  	Data
 **************************************************************/
	_PUB_GestorAccesosInterfaceMovimientoPuertas 
	void 	  hayLlamadasCabinaEncima( 	InterfaceMovimientoPuertas  *objeto )

;
/*************************************************************
  	Descripcion: estaActivadoReposo()
  	Param:
  	Return:
  	Data
 **************************************************************/
	_PUB_GestorAccesosInterfaceMovimientoPuertas 
	BOOLEAN  estaActivadoReposo( 	InterfaceMovimientoPuertas  *objeto )

;

#endif

			