/*
 * Select 15
 * up 30
 * down 29
 * left 27
 * right 23
 * Sin pulsar 31
 */

#include "inc/hw_types.h"
#include "inc/hw_memmap.h"
#include "inc/hw_gpio.h"
#include "driverlib/gpio.h"

#define KEY_UP 0x1e
#define KEY_DOWN 0x1d
#define KEY_LEFT 0x1b
#define KEY_RIGHT 0x17
#define KEY_SELECT 0x0f

void KEYPAD_init();

void KEYPAD_readEvent();
void KEYPAD_readEventWithDelay();
void KEYPAD_readEventWithBouncing();
unsigned char KEYPAD_readData();

tBoolean  KEYPAD_isPressed(unsigned char key);
tBoolean  KEYPAD_isPressedDown();
tBoolean  KEYPAD_isPressedUp();
tBoolean  KEYPAD_isPressedLeft();
tBoolean  KEYPAD_isPressedRight();
tBoolean  KEYPAD_isPressedSelect();

