


#ifndef _GestorCabinaPuertas_H
#define _GestorCabinaPuertas_H

#ifdef _GestorCabinaPuertas_C
#define _PUB_GestorCabinaPuertas
#else
#define _PUB_GestorCabinaPuertas extern
#endif

typedef struct Tipo_Puertas	Puertas;


#include "GestorCabinaGestorPuertas_Local.h"
#include "MANIOBRAAppMANIOBRA.h"

				
				
			
				
					
struct Tipo_Puertas{
	GestorPuertas_Local  *GestorPuertas_Local 
;
};

/*************************************************************
  	Descripcion: setPuertasFIR()
  	Param:
  	Return:
  	Data
 **************************************************************/
	_PUB_GestorCabinaPuertas 
	void 	  setPuertasFIR( 	Puertas  *objeto )

;
/*************************************************************
  	Descripcion: estaActivadoIR()
  	Param:
  	Return:
  	Data
 **************************************************************/
	_PUB_GestorCabinaPuertas 
	BOOLEAN  estaActivadoIR( 	Puertas  *objeto )

;
/*************************************************************
  	Descripcion: activaLlamadas()
  	Param:
  	Return:
  	Data
 **************************************************************/
	_PUB_GestorCabinaPuertas 
	void 	  activaLlamadas( 	Puertas  *objeto )

;
/*************************************************************
  	Descripcion: noHayPermisos()
  	Param:
  	Return:
  	Data
 **************************************************************/
	_PUB_GestorCabinaPuertas 
	void 	  noHayPermisos( 	Puertas  *objeto )

;
/*************************************************************
  	Descripcion: setLlamadas()
  	Param:
  	Return:
  	Data
 **************************************************************/
	_PUB_GestorCabinaPuertas 
	void 	  setLlamadas( 	Puertas  *objeto )

;
/*************************************************************
  	Descripcion: algunaLlamada_a()
  	Param:
  	Return:
  	Data
 **************************************************************/
	_PUB_GestorCabinaPuertas 
	BOOLEAN  algunaLlamada_a( 	Puertas  *objeto )

;
/*************************************************************
  	Descripcion: establecePermisoConLlamada_a()
  	Param:
  	Return:
  	Data
 **************************************************************/
	_PUB_GestorCabinaPuertas 
	void 	  establecePermisoConLlamada_a( 	Puertas  *objeto )

;
/*************************************************************
  	Descripcion: finAveriaPuertas_IR_CERRANDO()
  	Param:
  	Return:
  	Data
 **************************************************************/
	_PUB_GestorCabinaPuertas 
	void 	  finAveriaPuertas_IR_CERRANDO( 	Puertas  *objeto )

;
/*************************************************************
  	Descripcion: puertasReseteafIR()
  	Param:
  	Return:
  	Data
 **************************************************************/
	_PUB_GestorCabinaPuertas 
	void 	  puertasReseteafIR( 	Puertas  *objeto )

;
/*************************************************************
  	Descripcion: activaGongAccesos()
  	Param:
  	Return:
  	Data
 **************************************************************/
	_PUB_GestorCabinaPuertas 
	void 	  activaGongAccesos( 	Puertas  *objeto )

;
/*************************************************************
  	Descripcion: desactivaGongAccesos()
  	Param:
  	Return:
  	Data
 **************************************************************/
	_PUB_GestorCabinaPuertas 
	void 	  desactivaGongAccesos( 	Puertas  *objeto )

;
/*************************************************************
  	Descripcion: permisosDePuertasDesactivados()
  	Param:
  	Return:
  	Data
 **************************************************************/
	_PUB_GestorCabinaPuertas 
	void 	  permisosDePuertasDesactivados( 	Puertas  *objeto )

;
/*************************************************************
  	Descripcion: permisoAperturaAlgunaPuerta()
  	Param:
  	Return:
  	Data
 **************************************************************/
	_PUB_GestorCabinaPuertas 
	void 	  permisoAperturaAlgunaPuerta( 	Puertas  *objeto )

;
/*************************************************************
  	Descripcion: estaActivadoIRM()
  	Param:
  	Return:
  	Data
 **************************************************************/
	_PUB_GestorCabinaPuertas 
	BOOLEAN  estaActivadoIRM( 	Puertas  *objeto )

;
/*************************************************************
  	Descripcion: noHayAveriaEnLasPuertas()
  	Param:
  	Return:
  	Data
 **************************************************************/
	_PUB_GestorCabinaPuertas 
	BOOLEAN  noHayAveriaEnLasPuertas( 	Puertas  *objeto )

;
/*************************************************************
  	Descripcion: finAbrir()
  	Param:
  	Return:
  	Data
 **************************************************************/
	_PUB_GestorCabinaPuertas 
	BOOLEAN  finAbrir( 	Puertas  *objeto )

;
/*************************************************************
  	Descripcion: puertasEstaActivadoRetrocesoLocal()
  	Param:
  	Return:
  	Data
 **************************************************************/
	_PUB_GestorCabinaPuertas 
	void 	  puertasEstaActivadoRetrocesoLocal( 	Puertas  *objeto )

;
/*************************************************************
  	Descripcion: noSonPuertasTrifasicas()
  	Param:
  	Return:
  	Data
 **************************************************************/
	_PUB_GestorCabinaPuertas 
	BOOLEAN  noSonPuertasTrifasicas( 	Puertas  *objeto )

;
/*************************************************************
  	Descripcion: permisoCondicionAperturaAlgunaPuerta()
  	Param:
  	Return:
  	Data
 **************************************************************/
	_PUB_GestorCabinaPuertas 
	void 	  permisoCondicionAperturaAlgunaPuerta( 	Puertas  *objeto )

;
/*************************************************************
  	Descripcion: validaLimiteDeCierres()
  	Param:
  	Return:
  	Data
 **************************************************************/
	_PUB_GestorCabinaPuertas 
	BOOLEAN  validaLimiteDeCierres( 	Puertas  *objeto )

;
/*************************************************************
  	Descripcion: puertasEliminarRetrocesoLocal()
  	Param:
  	Return:
  	Data
 **************************************************************/
	_PUB_GestorCabinaPuertas 
	void 	  puertasEliminarRetrocesoLocal( 	Puertas  *objeto )

;
/*************************************************************
  	Descripcion: puertasEliminarER()
  	Param:
  	Return:
  	Data
 **************************************************************/
	_PUB_GestorCabinaPuertas 
	void 	  puertasEliminarER( 	Puertas  *objeto )

;
/*************************************************************
  	Descripcion: puertasDesactivaTiemposLAP()
  	Param:
  	Return:
  	Data
 **************************************************************/
	_PUB_GestorCabinaPuertas 
	void 	  puertasDesactivaTiemposLAP( 	Puertas  *objeto )

;
/*************************************************************
  	Descripcion: desactivarAperturaPuertas()
  	Param:
  	Return:
  	Data
 **************************************************************/
	_PUB_GestorCabinaPuertas 
	void 	  desactivarAperturaPuertas( 	Puertas  *objeto )

;
/*************************************************************
  	Descripcion: puertasPermisosRetrocesoLocalForzado()
  	Param:
  	Return:
  	Data
 **************************************************************/
	_PUB_GestorCabinaPuertas 
	void 	  puertasPermisosRetrocesoLocalForzado( 	Puertas  *objeto )

;
/*************************************************************
  	Descripcion: activarCierrePuertasForzado()
  	Param:
  	Return:
  	Data
 **************************************************************/
	_PUB_GestorCabinaPuertas 
	void 	  activarCierrePuertasForzado( 	Puertas  *objeto )

;
/*************************************************************
  	Descripcion: activarCierrePuertas()
  	Param:
  	Return:
  	Data
 **************************************************************/
	_PUB_GestorCabinaPuertas 
	void 	  activarCierrePuertas( 	Puertas  *objeto )

;
/*************************************************************
  	Descripcion: puertasPermisosRetrocesoLocalNormal()
  	Param:
  	Return:
  	Data
 **************************************************************/
	_PUB_GestorCabinaPuertas 
	void 	  puertasPermisosRetrocesoLocalNormal( 	Puertas  *objeto )

;
/*************************************************************
  	Descripcion: activarReposoPuertas()
  	Param:
  	Return:
  	Data
 **************************************************************/
	_PUB_GestorCabinaPuertas 
	void 	  activarReposoPuertas( 	Puertas  *objeto )

;
/*************************************************************
  	Descripcion: puertasPresenciaIRNugging()
  	Param:
  	Return:
  	Data
 **************************************************************/
	_PUB_GestorCabinaPuertas 
	void 	  puertasPresenciaIRNugging( 	Puertas  *objeto )

;
/*************************************************************
  	Descripcion: activarPermisos()
  	Param:
  	Return:
  	Data
 **************************************************************/
	_PUB_GestorCabinaPuertas 
	void 	  activarPermisos( 	Puertas  *objeto )

;
/*************************************************************
  	Descripcion: activarAperturaPuertas()
  	Param:
  	Return:
  	Data
 **************************************************************/
	_PUB_GestorCabinaPuertas 
	void 	  activarAperturaPuertas( 	Puertas  *objeto )

;
/*************************************************************
  	Descripcion: chequeaAnomaliaPuertas()
  	Param:
  	Return:
  	Data
 **************************************************************/
	_PUB_GestorCabinaPuertas 
	BOOLEAN  chequeaAnomaliaPuertas( 	Puertas  *objeto )

;
/*************************************************************
  	Descripcion: puertasAReposoTotal()
  	Param:
  	Return:
  	Data
 **************************************************************/
	_PUB_GestorCabinaPuertas 
	void 	  puertasAReposoTotal( 	Puertas  *objeto )

;
/*************************************************************
  	Descripcion: desactivarReposoPuertas()
  	Param:
  	Return:
  	Data
 **************************************************************/
	_PUB_GestorCabinaPuertas 
	void 	  desactivarReposoPuertas( 	Puertas  *objeto )

;
/*************************************************************
  	Descripcion: desactivarCierrePuertas()
  	Param:
  	Return:
  	Data
 **************************************************************/
	_PUB_GestorCabinaPuertas 
	void 	  desactivarCierrePuertas( 	Puertas  *objeto )

;
/*************************************************************
  	Descripcion: froga()
  	Param:
  	Return:
  	Data
 **************************************************************/
	_PUB_GestorCabinaPuertas 
	void 	  froga( 	BYTE param_0KKKKKKKKKKKKKKKKKKKKKK , 	BOOLEAN param_1KKKKKKKKKKKKKKKKKKKKKK , 	Puertas  *objeto )

;

#endif

			