package org.xtext.parser.antlr.internal; 

import org.eclipse.xtext.*;
import org.eclipse.xtext.parser.*;
import org.eclipse.xtext.parser.impl.*;
import org.eclipse.emf.ecore.util.EcoreUtil;
import org.eclipse.emf.ecore.EObject;
import org.eclipse.xtext.parser.antlr.AbstractInternalAntlrParser;
import org.eclipse.xtext.parser.antlr.XtextTokenStream;
import org.eclipse.xtext.parser.antlr.XtextTokenStream.HiddenTokens;
import org.eclipse.xtext.parser.antlr.AntlrDatatypeRuleToken;
import org.xtext.services.ReusableComponentsGrammarAccess;



import org.antlr.runtime.*;
import java.util.Stack;
import java.util.List;
import java.util.ArrayList;

@SuppressWarnings("all")
public class InternalReusableComponentsParser extends AbstractInternalAntlrParser {
    public static final String[] tokenNames = new String[] {
        "<invalid>", "<EOR>", "<DOWN>", "<UP>", "RULE_STRING", "RULE_ID", "RULE_INT", "RULE_ML_COMMENT", "RULE_SL_COMMENT", "RULE_WS", "RULE_ANY_OTHER", "'import'", "'Repository'", "'repository'", "'{'", "'}'", "'System'", "'system'", "'service'", "'Service'", "';'", "'ComponentDef'", "'componentDef'", "'PortDef'", "'portDef'", "':'", "'services'", "'('", "','", "')'", "'Component'", "'component'", "'bind'", "'<->'", "'Port'", "'port'", "'.'"
    };
    public static final int RULE_ID=5;
    public static final int T__29=29;
    public static final int T__28=28;
    public static final int T__27=27;
    public static final int T__26=26;
    public static final int T__25=25;
    public static final int T__24=24;
    public static final int T__23=23;
    public static final int T__22=22;
    public static final int RULE_ANY_OTHER=10;
    public static final int T__21=21;
    public static final int T__20=20;
    public static final int RULE_SL_COMMENT=8;
    public static final int EOF=-1;
    public static final int RULE_ML_COMMENT=7;
    public static final int T__30=30;
    public static final int T__19=19;
    public static final int T__31=31;
    public static final int RULE_STRING=4;
    public static final int T__32=32;
    public static final int T__33=33;
    public static final int T__16=16;
    public static final int T__34=34;
    public static final int T__15=15;
    public static final int T__35=35;
    public static final int T__18=18;
    public static final int T__36=36;
    public static final int T__17=17;
    public static final int T__12=12;
    public static final int T__11=11;
    public static final int T__14=14;
    public static final int T__13=13;
    public static final int RULE_INT=6;
    public static final int RULE_WS=9;

    // delegates
    // delegators


        public InternalReusableComponentsParser(TokenStream input) {
            this(input, new RecognizerSharedState());
        }
        public InternalReusableComponentsParser(TokenStream input, RecognizerSharedState state) {
            super(input, state);
             
        }
        

    public String[] getTokenNames() { return InternalReusableComponentsParser.tokenNames; }
    public String getGrammarFileName() { return "../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g"; }



     	private ReusableComponentsGrammarAccess grammarAccess;
     	
        public InternalReusableComponentsParser(TokenStream input, ReusableComponentsGrammarAccess grammarAccess) {
            this(input);
            this.grammarAccess = grammarAccess;
            registerRules(grammarAccess.getGrammar());
        }
        
        @Override
        protected String getFirstRuleName() {
        	return "Root";	
       	}
       	
       	@Override
       	protected ReusableComponentsGrammarAccess getGrammarAccess() {
       		return grammarAccess;
       	}



    // $ANTLR start "entryRuleRoot"
    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:67:1: entryRuleRoot returns [EObject current=null] : iv_ruleRoot= ruleRoot EOF ;
    public final EObject entryRuleRoot() throws RecognitionException {
        EObject current = null;

        EObject iv_ruleRoot = null;


        try {
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:68:2: (iv_ruleRoot= ruleRoot EOF )
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:69:2: iv_ruleRoot= ruleRoot EOF
            {
             newCompositeNode(grammarAccess.getRootRule()); 
            pushFollow(FollowSets000.FOLLOW_ruleRoot_in_entryRuleRoot75);
            iv_ruleRoot=ruleRoot();

            state._fsp--;

             current =iv_ruleRoot; 
            match(input,EOF,FollowSets000.FOLLOW_EOF_in_entryRuleRoot85); 

            }

        }
         
            catch (RecognitionException re) { 
                recover(input,re); 
                appendSkippedTokens();
            } 
        finally {
        }
        return current;
    }
    // $ANTLR end "entryRuleRoot"


    // $ANTLR start "ruleRoot"
    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:76:1: ruleRoot returns [EObject current=null] : ( ( (lv_imports_0_0= ruleImport ) )* ( (lv_definitions_1_0= ruleRepository ) )* ( (lv_instances_2_0= ruleSystem ) )* ) ;
    public final EObject ruleRoot() throws RecognitionException {
        EObject current = null;

        EObject lv_imports_0_0 = null;

        EObject lv_definitions_1_0 = null;

        EObject lv_instances_2_0 = null;


         enterRule(); 
            
        try {
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:79:28: ( ( ( (lv_imports_0_0= ruleImport ) )* ( (lv_definitions_1_0= ruleRepository ) )* ( (lv_instances_2_0= ruleSystem ) )* ) )
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:80:1: ( ( (lv_imports_0_0= ruleImport ) )* ( (lv_definitions_1_0= ruleRepository ) )* ( (lv_instances_2_0= ruleSystem ) )* )
            {
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:80:1: ( ( (lv_imports_0_0= ruleImport ) )* ( (lv_definitions_1_0= ruleRepository ) )* ( (lv_instances_2_0= ruleSystem ) )* )
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:80:2: ( (lv_imports_0_0= ruleImport ) )* ( (lv_definitions_1_0= ruleRepository ) )* ( (lv_instances_2_0= ruleSystem ) )*
            {
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:80:2: ( (lv_imports_0_0= ruleImport ) )*
            loop1:
            do {
                int alt1=2;
                int LA1_0 = input.LA(1);

                if ( (LA1_0==11) ) {
                    alt1=1;
                }


                switch (alt1) {
            	case 1 :
            	    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:81:1: (lv_imports_0_0= ruleImport )
            	    {
            	    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:81:1: (lv_imports_0_0= ruleImport )
            	    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:82:3: lv_imports_0_0= ruleImport
            	    {
            	     
            	    	        newCompositeNode(grammarAccess.getRootAccess().getImportsImportParserRuleCall_0_0()); 
            	    	    
            	    pushFollow(FollowSets000.FOLLOW_ruleImport_in_ruleRoot131);
            	    lv_imports_0_0=ruleImport();

            	    state._fsp--;


            	    	        if (current==null) {
            	    	            current = createModelElementForParent(grammarAccess.getRootRule());
            	    	        }
            	           		add(
            	           			current, 
            	           			"imports",
            	            		lv_imports_0_0, 
            	            		"Import");
            	    	        afterParserOrEnumRuleCall();
            	    	    

            	    }


            	    }
            	    break;

            	default :
            	    break loop1;
                }
            } while (true);

            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:98:3: ( (lv_definitions_1_0= ruleRepository ) )*
            loop2:
            do {
                int alt2=2;
                int LA2_0 = input.LA(1);

                if ( ((LA2_0>=12 && LA2_0<=13)||(LA2_0>=21 && LA2_0<=22)) ) {
                    alt2=1;
                }


                switch (alt2) {
            	case 1 :
            	    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:99:1: (lv_definitions_1_0= ruleRepository )
            	    {
            	    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:99:1: (lv_definitions_1_0= ruleRepository )
            	    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:100:3: lv_definitions_1_0= ruleRepository
            	    {
            	     
            	    	        newCompositeNode(grammarAccess.getRootAccess().getDefinitionsRepositoryParserRuleCall_1_0()); 
            	    	    
            	    pushFollow(FollowSets000.FOLLOW_ruleRepository_in_ruleRoot153);
            	    lv_definitions_1_0=ruleRepository();

            	    state._fsp--;


            	    	        if (current==null) {
            	    	            current = createModelElementForParent(grammarAccess.getRootRule());
            	    	        }
            	           		add(
            	           			current, 
            	           			"definitions",
            	            		lv_definitions_1_0, 
            	            		"Repository");
            	    	        afterParserOrEnumRuleCall();
            	    	    

            	    }


            	    }
            	    break;

            	default :
            	    break loop2;
                }
            } while (true);

            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:116:3: ( (lv_instances_2_0= ruleSystem ) )*
            loop3:
            do {
                int alt3=2;
                int LA3_0 = input.LA(1);

                if ( ((LA3_0>=15 && LA3_0<=17)||LA3_0==32) ) {
                    alt3=1;
                }


                switch (alt3) {
            	case 1 :
            	    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:117:1: (lv_instances_2_0= ruleSystem )
            	    {
            	    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:117:1: (lv_instances_2_0= ruleSystem )
            	    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:118:3: lv_instances_2_0= ruleSystem
            	    {
            	     
            	    	        newCompositeNode(grammarAccess.getRootAccess().getInstancesSystemParserRuleCall_2_0()); 
            	    	    
            	    pushFollow(FollowSets000.FOLLOW_ruleSystem_in_ruleRoot175);
            	    lv_instances_2_0=ruleSystem();

            	    state._fsp--;


            	    	        if (current==null) {
            	    	            current = createModelElementForParent(grammarAccess.getRootRule());
            	    	        }
            	           		add(
            	           			current, 
            	           			"instances",
            	            		lv_instances_2_0, 
            	            		"System");
            	    	        afterParserOrEnumRuleCall();
            	    	    

            	    }


            	    }
            	    break;

            	default :
            	    break loop3;
                }
            } while (true);


            }


            }

             leaveRule(); 
        }
         
            catch (RecognitionException re) { 
                recover(input,re); 
                appendSkippedTokens();
            } 
        finally {
        }
        return current;
    }
    // $ANTLR end "ruleRoot"


    // $ANTLR start "entryRuleImport"
    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:142:1: entryRuleImport returns [EObject current=null] : iv_ruleImport= ruleImport EOF ;
    public final EObject entryRuleImport() throws RecognitionException {
        EObject current = null;

        EObject iv_ruleImport = null;


        try {
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:143:2: (iv_ruleImport= ruleImport EOF )
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:144:2: iv_ruleImport= ruleImport EOF
            {
             newCompositeNode(grammarAccess.getImportRule()); 
            pushFollow(FollowSets000.FOLLOW_ruleImport_in_entryRuleImport212);
            iv_ruleImport=ruleImport();

            state._fsp--;

             current =iv_ruleImport; 
            match(input,EOF,FollowSets000.FOLLOW_EOF_in_entryRuleImport222); 

            }

        }
         
            catch (RecognitionException re) { 
                recover(input,re); 
                appendSkippedTokens();
            } 
        finally {
        }
        return current;
    }
    // $ANTLR end "entryRuleImport"


    // $ANTLR start "ruleImport"
    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:151:1: ruleImport returns [EObject current=null] : (otherlv_0= 'import' ( (lv_importURI_1_0= ruleEString ) ) ) ;
    public final EObject ruleImport() throws RecognitionException {
        EObject current = null;

        Token otherlv_0=null;
        AntlrDatatypeRuleToken lv_importURI_1_0 = null;


         enterRule(); 
            
        try {
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:154:28: ( (otherlv_0= 'import' ( (lv_importURI_1_0= ruleEString ) ) ) )
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:155:1: (otherlv_0= 'import' ( (lv_importURI_1_0= ruleEString ) ) )
            {
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:155:1: (otherlv_0= 'import' ( (lv_importURI_1_0= ruleEString ) ) )
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:155:3: otherlv_0= 'import' ( (lv_importURI_1_0= ruleEString ) )
            {
            otherlv_0=(Token)match(input,11,FollowSets000.FOLLOW_11_in_ruleImport259); 

                	newLeafNode(otherlv_0, grammarAccess.getImportAccess().getImportKeyword_0());
                
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:159:1: ( (lv_importURI_1_0= ruleEString ) )
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:160:1: (lv_importURI_1_0= ruleEString )
            {
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:160:1: (lv_importURI_1_0= ruleEString )
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:161:3: lv_importURI_1_0= ruleEString
            {
             
            	        newCompositeNode(grammarAccess.getImportAccess().getImportURIEStringParserRuleCall_1_0()); 
            	    
            pushFollow(FollowSets000.FOLLOW_ruleEString_in_ruleImport280);
            lv_importURI_1_0=ruleEString();

            state._fsp--;


            	        if (current==null) {
            	            current = createModelElementForParent(grammarAccess.getImportRule());
            	        }
                   		set(
                   			current, 
                   			"importURI",
                    		lv_importURI_1_0, 
                    		"EString");
            	        afterParserOrEnumRuleCall();
            	    

            }


            }


            }


            }

             leaveRule(); 
        }
         
            catch (RecognitionException re) { 
                recover(input,re); 
                appendSkippedTokens();
            } 
        finally {
        }
        return current;
    }
    // $ANTLR end "ruleImport"


    // $ANTLR start "entryRuleRepository"
    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:185:1: entryRuleRepository returns [EObject current=null] : iv_ruleRepository= ruleRepository EOF ;
    public final EObject entryRuleRepository() throws RecognitionException {
        EObject current = null;

        EObject iv_ruleRepository = null;


        try {
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:186:2: (iv_ruleRepository= ruleRepository EOF )
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:187:2: iv_ruleRepository= ruleRepository EOF
            {
             newCompositeNode(grammarAccess.getRepositoryRule()); 
            pushFollow(FollowSets000.FOLLOW_ruleRepository_in_entryRuleRepository316);
            iv_ruleRepository=ruleRepository();

            state._fsp--;

             current =iv_ruleRepository; 
            match(input,EOF,FollowSets000.FOLLOW_EOF_in_entryRuleRepository326); 

            }

        }
         
            catch (RecognitionException re) { 
                recover(input,re); 
                appendSkippedTokens();
            } 
        finally {
        }
        return current;
    }
    // $ANTLR end "entryRuleRepository"


    // $ANTLR start "ruleRepository"
    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:194:1: ruleRepository returns [EObject current=null] : ( ( ( ( ({...}? => ( ({...}? => ( (otherlv_1= 'Repository' | otherlv_2= 'repository' ) ( (lv_name_3_0= ruleEString ) ) otherlv_4= '{' ( (lv_services_5_0= ruleServiceDef ) )+ ) ) ) ) | ({...}? => ( ({...}? => ( ( (lv_components_6_0= ruleComponentDef ) )+ otherlv_7= '}' ) ) ) ) )+ {...}?) ) ) ;
    public final EObject ruleRepository() throws RecognitionException {
        EObject current = null;

        Token otherlv_1=null;
        Token otherlv_2=null;
        Token otherlv_4=null;
        Token otherlv_7=null;
        AntlrDatatypeRuleToken lv_name_3_0 = null;

        EObject lv_services_5_0 = null;

        EObject lv_components_6_0 = null;


         enterRule(); 
            
        try {
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:197:28: ( ( ( ( ( ({...}? => ( ({...}? => ( (otherlv_1= 'Repository' | otherlv_2= 'repository' ) ( (lv_name_3_0= ruleEString ) ) otherlv_4= '{' ( (lv_services_5_0= ruleServiceDef ) )+ ) ) ) ) | ({...}? => ( ({...}? => ( ( (lv_components_6_0= ruleComponentDef ) )+ otherlv_7= '}' ) ) ) ) )+ {...}?) ) ) )
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:198:1: ( ( ( ( ({...}? => ( ({...}? => ( (otherlv_1= 'Repository' | otherlv_2= 'repository' ) ( (lv_name_3_0= ruleEString ) ) otherlv_4= '{' ( (lv_services_5_0= ruleServiceDef ) )+ ) ) ) ) | ({...}? => ( ({...}? => ( ( (lv_components_6_0= ruleComponentDef ) )+ otherlv_7= '}' ) ) ) ) )+ {...}?) ) )
            {
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:198:1: ( ( ( ( ({...}? => ( ({...}? => ( (otherlv_1= 'Repository' | otherlv_2= 'repository' ) ( (lv_name_3_0= ruleEString ) ) otherlv_4= '{' ( (lv_services_5_0= ruleServiceDef ) )+ ) ) ) ) | ({...}? => ( ({...}? => ( ( (lv_components_6_0= ruleComponentDef ) )+ otherlv_7= '}' ) ) ) ) )+ {...}?) ) )
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:200:1: ( ( ( ({...}? => ( ({...}? => ( (otherlv_1= 'Repository' | otherlv_2= 'repository' ) ( (lv_name_3_0= ruleEString ) ) otherlv_4= '{' ( (lv_services_5_0= ruleServiceDef ) )+ ) ) ) ) | ({...}? => ( ({...}? => ( ( (lv_components_6_0= ruleComponentDef ) )+ otherlv_7= '}' ) ) ) ) )+ {...}?) )
            {
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:200:1: ( ( ( ({...}? => ( ({...}? => ( (otherlv_1= 'Repository' | otherlv_2= 'repository' ) ( (lv_name_3_0= ruleEString ) ) otherlv_4= '{' ( (lv_services_5_0= ruleServiceDef ) )+ ) ) ) ) | ({...}? => ( ({...}? => ( ( (lv_components_6_0= ruleComponentDef ) )+ otherlv_7= '}' ) ) ) ) )+ {...}?) )
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:201:2: ( ( ({...}? => ( ({...}? => ( (otherlv_1= 'Repository' | otherlv_2= 'repository' ) ( (lv_name_3_0= ruleEString ) ) otherlv_4= '{' ( (lv_services_5_0= ruleServiceDef ) )+ ) ) ) ) | ({...}? => ( ({...}? => ( ( (lv_components_6_0= ruleComponentDef ) )+ otherlv_7= '}' ) ) ) ) )+ {...}?)
            {
             
            	  getUnorderedGroupHelper().enter(grammarAccess.getRepositoryAccess().getUnorderedGroup());
            	
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:204:2: ( ( ({...}? => ( ({...}? => ( (otherlv_1= 'Repository' | otherlv_2= 'repository' ) ( (lv_name_3_0= ruleEString ) ) otherlv_4= '{' ( (lv_services_5_0= ruleServiceDef ) )+ ) ) ) ) | ({...}? => ( ({...}? => ( ( (lv_components_6_0= ruleComponentDef ) )+ otherlv_7= '}' ) ) ) ) )+ {...}?)
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:205:3: ( ({...}? => ( ({...}? => ( (otherlv_1= 'Repository' | otherlv_2= 'repository' ) ( (lv_name_3_0= ruleEString ) ) otherlv_4= '{' ( (lv_services_5_0= ruleServiceDef ) )+ ) ) ) ) | ({...}? => ( ({...}? => ( ( (lv_components_6_0= ruleComponentDef ) )+ otherlv_7= '}' ) ) ) ) )+ {...}?
            {
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:205:3: ( ({...}? => ( ({...}? => ( (otherlv_1= 'Repository' | otherlv_2= 'repository' ) ( (lv_name_3_0= ruleEString ) ) otherlv_4= '{' ( (lv_services_5_0= ruleServiceDef ) )+ ) ) ) ) | ({...}? => ( ({...}? => ( ( (lv_components_6_0= ruleComponentDef ) )+ otherlv_7= '}' ) ) ) ) )+
            int cnt7=0;
            loop7:
            do {
                int alt7=3;
                switch ( input.LA(1) ) {
                case 12:
                    {
                    int LA7_2 = input.LA(2);

                    if ( getUnorderedGroupHelper().canSelect(grammarAccess.getRepositoryAccess().getUnorderedGroup(), 0) ) {
                        alt7=1;
                    }


                    }
                    break;
                case 13:
                    {
                    int LA7_3 = input.LA(2);

                    if ( getUnorderedGroupHelper().canSelect(grammarAccess.getRepositoryAccess().getUnorderedGroup(), 0) ) {
                        alt7=1;
                    }


                    }
                    break;
                case 21:
                    {
                    int LA7_4 = input.LA(2);

                    if ( getUnorderedGroupHelper().canSelect(grammarAccess.getRepositoryAccess().getUnorderedGroup(), 1) ) {
                        alt7=2;
                    }


                    }
                    break;
                case 22:
                    {
                    int LA7_5 = input.LA(2);

                    if ( getUnorderedGroupHelper().canSelect(grammarAccess.getRepositoryAccess().getUnorderedGroup(), 1) ) {
                        alt7=2;
                    }


                    }
                    break;

                }

                switch (alt7) {
            	case 1 :
            	    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:207:4: ({...}? => ( ({...}? => ( (otherlv_1= 'Repository' | otherlv_2= 'repository' ) ( (lv_name_3_0= ruleEString ) ) otherlv_4= '{' ( (lv_services_5_0= ruleServiceDef ) )+ ) ) ) )
            	    {
            	    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:207:4: ({...}? => ( ({...}? => ( (otherlv_1= 'Repository' | otherlv_2= 'repository' ) ( (lv_name_3_0= ruleEString ) ) otherlv_4= '{' ( (lv_services_5_0= ruleServiceDef ) )+ ) ) ) )
            	    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:208:5: {...}? => ( ({...}? => ( (otherlv_1= 'Repository' | otherlv_2= 'repository' ) ( (lv_name_3_0= ruleEString ) ) otherlv_4= '{' ( (lv_services_5_0= ruleServiceDef ) )+ ) ) )
            	    {
            	    if ( ! getUnorderedGroupHelper().canSelect(grammarAccess.getRepositoryAccess().getUnorderedGroup(), 0) ) {
            	        throw new FailedPredicateException(input, "ruleRepository", "getUnorderedGroupHelper().canSelect(grammarAccess.getRepositoryAccess().getUnorderedGroup(), 0)");
            	    }
            	    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:208:105: ( ({...}? => ( (otherlv_1= 'Repository' | otherlv_2= 'repository' ) ( (lv_name_3_0= ruleEString ) ) otherlv_4= '{' ( (lv_services_5_0= ruleServiceDef ) )+ ) ) )
            	    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:209:6: ({...}? => ( (otherlv_1= 'Repository' | otherlv_2= 'repository' ) ( (lv_name_3_0= ruleEString ) ) otherlv_4= '{' ( (lv_services_5_0= ruleServiceDef ) )+ ) )
            	    {
            	     
            	    	 				  getUnorderedGroupHelper().select(grammarAccess.getRepositoryAccess().getUnorderedGroup(), 0);
            	    	 				
            	    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:212:6: ({...}? => ( (otherlv_1= 'Repository' | otherlv_2= 'repository' ) ( (lv_name_3_0= ruleEString ) ) otherlv_4= '{' ( (lv_services_5_0= ruleServiceDef ) )+ ) )
            	    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:212:7: {...}? => ( (otherlv_1= 'Repository' | otherlv_2= 'repository' ) ( (lv_name_3_0= ruleEString ) ) otherlv_4= '{' ( (lv_services_5_0= ruleServiceDef ) )+ )
            	    {
            	    if ( !((true)) ) {
            	        throw new FailedPredicateException(input, "ruleRepository", "true");
            	    }
            	    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:212:16: ( (otherlv_1= 'Repository' | otherlv_2= 'repository' ) ( (lv_name_3_0= ruleEString ) ) otherlv_4= '{' ( (lv_services_5_0= ruleServiceDef ) )+ )
            	    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:212:17: (otherlv_1= 'Repository' | otherlv_2= 'repository' ) ( (lv_name_3_0= ruleEString ) ) otherlv_4= '{' ( (lv_services_5_0= ruleServiceDef ) )+
            	    {
            	    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:212:17: (otherlv_1= 'Repository' | otherlv_2= 'repository' )
            	    int alt4=2;
            	    int LA4_0 = input.LA(1);

            	    if ( (LA4_0==12) ) {
            	        alt4=1;
            	    }
            	    else if ( (LA4_0==13) ) {
            	        alt4=2;
            	    }
            	    else {
            	        NoViableAltException nvae =
            	            new NoViableAltException("", 4, 0, input);

            	        throw nvae;
            	    }
            	    switch (alt4) {
            	        case 1 :
            	            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:212:19: otherlv_1= 'Repository'
            	            {
            	            otherlv_1=(Token)match(input,12,FollowSets000.FOLLOW_12_in_ruleRepository409); 

            	                	newLeafNode(otherlv_1, grammarAccess.getRepositoryAccess().getRepositoryKeyword_0_0_0());
            	                

            	            }
            	            break;
            	        case 2 :
            	            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:217:7: otherlv_2= 'repository'
            	            {
            	            otherlv_2=(Token)match(input,13,FollowSets000.FOLLOW_13_in_ruleRepository427); 

            	                	newLeafNode(otherlv_2, grammarAccess.getRepositoryAccess().getRepositoryKeyword_0_0_1());
            	                

            	            }
            	            break;

            	    }

            	    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:221:2: ( (lv_name_3_0= ruleEString ) )
            	    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:222:1: (lv_name_3_0= ruleEString )
            	    {
            	    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:222:1: (lv_name_3_0= ruleEString )
            	    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:223:3: lv_name_3_0= ruleEString
            	    {
            	     
            	    	        newCompositeNode(grammarAccess.getRepositoryAccess().getNameEStringParserRuleCall_0_1_0()); 
            	    	    
            	    pushFollow(FollowSets000.FOLLOW_ruleEString_in_ruleRepository449);
            	    lv_name_3_0=ruleEString();

            	    state._fsp--;


            	    	        if (current==null) {
            	    	            current = createModelElementForParent(grammarAccess.getRepositoryRule());
            	    	        }
            	           		set(
            	           			current, 
            	           			"name",
            	            		lv_name_3_0, 
            	            		"EString");
            	    	        afterParserOrEnumRuleCall();
            	    	    

            	    }


            	    }

            	    otherlv_4=(Token)match(input,14,FollowSets000.FOLLOW_14_in_ruleRepository461); 

            	        	newLeafNode(otherlv_4, grammarAccess.getRepositoryAccess().getLeftCurlyBracketKeyword_0_2());
            	        
            	    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:243:1: ( (lv_services_5_0= ruleServiceDef ) )+
            	    int cnt5=0;
            	    loop5:
            	    do {
            	        int alt5=2;
            	        int LA5_0 = input.LA(1);

            	        if ( ((LA5_0>=18 && LA5_0<=19)) ) {
            	            alt5=1;
            	        }


            	        switch (alt5) {
            	    	case 1 :
            	    	    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:244:1: (lv_services_5_0= ruleServiceDef )
            	    	    {
            	    	    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:244:1: (lv_services_5_0= ruleServiceDef )
            	    	    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:245:3: lv_services_5_0= ruleServiceDef
            	    	    {
            	    	     
            	    	    	        newCompositeNode(grammarAccess.getRepositoryAccess().getServicesServiceDefParserRuleCall_0_3_0()); 
            	    	    	    
            	    	    pushFollow(FollowSets000.FOLLOW_ruleServiceDef_in_ruleRepository482);
            	    	    lv_services_5_0=ruleServiceDef();

            	    	    state._fsp--;


            	    	    	        if (current==null) {
            	    	    	            current = createModelElementForParent(grammarAccess.getRepositoryRule());
            	    	    	        }
            	    	           		add(
            	    	           			current, 
            	    	           			"services",
            	    	            		lv_services_5_0, 
            	    	            		"ServiceDef");
            	    	    	        afterParserOrEnumRuleCall();
            	    	    	    

            	    	    }


            	    	    }
            	    	    break;

            	    	default :
            	    	    if ( cnt5 >= 1 ) break loop5;
            	                EarlyExitException eee =
            	                    new EarlyExitException(5, input);
            	                throw eee;
            	        }
            	        cnt5++;
            	    } while (true);


            	    }


            	    }

            	     
            	    	 				  getUnorderedGroupHelper().returnFromSelection(grammarAccess.getRepositoryAccess().getUnorderedGroup());
            	    	 				

            	    }


            	    }


            	    }
            	    break;
            	case 2 :
            	    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:268:4: ({...}? => ( ({...}? => ( ( (lv_components_6_0= ruleComponentDef ) )+ otherlv_7= '}' ) ) ) )
            	    {
            	    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:268:4: ({...}? => ( ({...}? => ( ( (lv_components_6_0= ruleComponentDef ) )+ otherlv_7= '}' ) ) ) )
            	    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:269:5: {...}? => ( ({...}? => ( ( (lv_components_6_0= ruleComponentDef ) )+ otherlv_7= '}' ) ) )
            	    {
            	    if ( ! getUnorderedGroupHelper().canSelect(grammarAccess.getRepositoryAccess().getUnorderedGroup(), 1) ) {
            	        throw new FailedPredicateException(input, "ruleRepository", "getUnorderedGroupHelper().canSelect(grammarAccess.getRepositoryAccess().getUnorderedGroup(), 1)");
            	    }
            	    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:269:105: ( ({...}? => ( ( (lv_components_6_0= ruleComponentDef ) )+ otherlv_7= '}' ) ) )
            	    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:270:6: ({...}? => ( ( (lv_components_6_0= ruleComponentDef ) )+ otherlv_7= '}' ) )
            	    {
            	     
            	    	 				  getUnorderedGroupHelper().select(grammarAccess.getRepositoryAccess().getUnorderedGroup(), 1);
            	    	 				
            	    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:273:6: ({...}? => ( ( (lv_components_6_0= ruleComponentDef ) )+ otherlv_7= '}' ) )
            	    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:273:7: {...}? => ( ( (lv_components_6_0= ruleComponentDef ) )+ otherlv_7= '}' )
            	    {
            	    if ( !((true)) ) {
            	        throw new FailedPredicateException(input, "ruleRepository", "true");
            	    }
            	    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:273:16: ( ( (lv_components_6_0= ruleComponentDef ) )+ otherlv_7= '}' )
            	    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:273:17: ( (lv_components_6_0= ruleComponentDef ) )+ otherlv_7= '}'
            	    {
            	    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:273:17: ( (lv_components_6_0= ruleComponentDef ) )+
            	    int cnt6=0;
            	    loop6:
            	    do {
            	        int alt6=2;
            	        int LA6_0 = input.LA(1);

            	        if ( ((LA6_0>=21 && LA6_0<=22)) ) {
            	            alt6=1;
            	        }


            	        switch (alt6) {
            	    	case 1 :
            	    	    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:274:1: (lv_components_6_0= ruleComponentDef )
            	    	    {
            	    	    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:274:1: (lv_components_6_0= ruleComponentDef )
            	    	    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:275:3: lv_components_6_0= ruleComponentDef
            	    	    {
            	    	     
            	    	    	        newCompositeNode(grammarAccess.getRepositoryAccess().getComponentsComponentDefParserRuleCall_1_0_0()); 
            	    	    	    
            	    	    pushFollow(FollowSets000.FOLLOW_ruleComponentDef_in_ruleRepository560);
            	    	    lv_components_6_0=ruleComponentDef();

            	    	    state._fsp--;


            	    	    	        if (current==null) {
            	    	    	            current = createModelElementForParent(grammarAccess.getRepositoryRule());
            	    	    	        }
            	    	           		add(
            	    	           			current, 
            	    	           			"components",
            	    	            		lv_components_6_0, 
            	    	            		"ComponentDef");
            	    	    	        afterParserOrEnumRuleCall();
            	    	    	    

            	    	    }


            	    	    }
            	    	    break;

            	    	default :
            	    	    if ( cnt6 >= 1 ) break loop6;
            	                EarlyExitException eee =
            	                    new EarlyExitException(6, input);
            	                throw eee;
            	        }
            	        cnt6++;
            	    } while (true);

            	    otherlv_7=(Token)match(input,15,FollowSets000.FOLLOW_15_in_ruleRepository573); 

            	        	newLeafNode(otherlv_7, grammarAccess.getRepositoryAccess().getRightCurlyBracketKeyword_1_1());
            	        

            	    }


            	    }

            	     
            	    	 				  getUnorderedGroupHelper().returnFromSelection(grammarAccess.getRepositoryAccess().getUnorderedGroup());
            	    	 				

            	    }


            	    }


            	    }
            	    break;

            	default :
            	    if ( cnt7 >= 1 ) break loop7;
                        EarlyExitException eee =
                            new EarlyExitException(7, input);
                        throw eee;
                }
                cnt7++;
            } while (true);

            if ( ! getUnorderedGroupHelper().canLeave(grammarAccess.getRepositoryAccess().getUnorderedGroup()) ) {
                throw new FailedPredicateException(input, "ruleRepository", "getUnorderedGroupHelper().canLeave(grammarAccess.getRepositoryAccess().getUnorderedGroup())");
            }

            }


            }

             
            	  getUnorderedGroupHelper().leave(grammarAccess.getRepositoryAccess().getUnorderedGroup());
            	

            }


            }

             leaveRule(); 
        }
         
            catch (RecognitionException re) { 
                recover(input,re); 
                appendSkippedTokens();
            } 
        finally {
        }
        return current;
    }
    // $ANTLR end "ruleRepository"


    // $ANTLR start "entryRuleSystem"
    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:318:1: entryRuleSystem returns [EObject current=null] : iv_ruleSystem= ruleSystem EOF ;
    public final EObject entryRuleSystem() throws RecognitionException {
        EObject current = null;

        EObject iv_ruleSystem = null;


        try {
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:319:2: (iv_ruleSystem= ruleSystem EOF )
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:320:2: iv_ruleSystem= ruleSystem EOF
            {
             newCompositeNode(grammarAccess.getSystemRule()); 
            pushFollow(FollowSets000.FOLLOW_ruleSystem_in_entryRuleSystem655);
            iv_ruleSystem=ruleSystem();

            state._fsp--;

             current =iv_ruleSystem; 
            match(input,EOF,FollowSets000.FOLLOW_EOF_in_entryRuleSystem665); 

            }

        }
         
            catch (RecognitionException re) { 
                recover(input,re); 
                appendSkippedTokens();
            } 
        finally {
        }
        return current;
    }
    // $ANTLR end "entryRuleSystem"


    // $ANTLR start "ruleSystem"
    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:327:1: ruleSystem returns [EObject current=null] : ( ( ( ( ({...}? => ( ({...}? => ( (otherlv_1= 'System' | otherlv_2= 'system' ) ( (lv_name_3_0= ruleEString ) ) otherlv_4= '{' ( (lv_components_5_0= ruleComponent ) )+ ) ) ) ) | ({...}? => ( ({...}? => ( ( (lv_connectors_6_0= ruleConnector ) )* otherlv_7= '}' ) ) ) ) )+ {...}?) ) ) ;
    public final EObject ruleSystem() throws RecognitionException {
        EObject current = null;

        Token otherlv_1=null;
        Token otherlv_2=null;
        Token otherlv_4=null;
        Token otherlv_7=null;
        AntlrDatatypeRuleToken lv_name_3_0 = null;

        EObject lv_components_5_0 = null;

        EObject lv_connectors_6_0 = null;


         enterRule(); 
            
        try {
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:330:28: ( ( ( ( ( ({...}? => ( ({...}? => ( (otherlv_1= 'System' | otherlv_2= 'system' ) ( (lv_name_3_0= ruleEString ) ) otherlv_4= '{' ( (lv_components_5_0= ruleComponent ) )+ ) ) ) ) | ({...}? => ( ({...}? => ( ( (lv_connectors_6_0= ruleConnector ) )* otherlv_7= '}' ) ) ) ) )+ {...}?) ) ) )
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:331:1: ( ( ( ( ({...}? => ( ({...}? => ( (otherlv_1= 'System' | otherlv_2= 'system' ) ( (lv_name_3_0= ruleEString ) ) otherlv_4= '{' ( (lv_components_5_0= ruleComponent ) )+ ) ) ) ) | ({...}? => ( ({...}? => ( ( (lv_connectors_6_0= ruleConnector ) )* otherlv_7= '}' ) ) ) ) )+ {...}?) ) )
            {
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:331:1: ( ( ( ( ({...}? => ( ({...}? => ( (otherlv_1= 'System' | otherlv_2= 'system' ) ( (lv_name_3_0= ruleEString ) ) otherlv_4= '{' ( (lv_components_5_0= ruleComponent ) )+ ) ) ) ) | ({...}? => ( ({...}? => ( ( (lv_connectors_6_0= ruleConnector ) )* otherlv_7= '}' ) ) ) ) )+ {...}?) ) )
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:333:1: ( ( ( ({...}? => ( ({...}? => ( (otherlv_1= 'System' | otherlv_2= 'system' ) ( (lv_name_3_0= ruleEString ) ) otherlv_4= '{' ( (lv_components_5_0= ruleComponent ) )+ ) ) ) ) | ({...}? => ( ({...}? => ( ( (lv_connectors_6_0= ruleConnector ) )* otherlv_7= '}' ) ) ) ) )+ {...}?) )
            {
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:333:1: ( ( ( ({...}? => ( ({...}? => ( (otherlv_1= 'System' | otherlv_2= 'system' ) ( (lv_name_3_0= ruleEString ) ) otherlv_4= '{' ( (lv_components_5_0= ruleComponent ) )+ ) ) ) ) | ({...}? => ( ({...}? => ( ( (lv_connectors_6_0= ruleConnector ) )* otherlv_7= '}' ) ) ) ) )+ {...}?) )
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:334:2: ( ( ({...}? => ( ({...}? => ( (otherlv_1= 'System' | otherlv_2= 'system' ) ( (lv_name_3_0= ruleEString ) ) otherlv_4= '{' ( (lv_components_5_0= ruleComponent ) )+ ) ) ) ) | ({...}? => ( ({...}? => ( ( (lv_connectors_6_0= ruleConnector ) )* otherlv_7= '}' ) ) ) ) )+ {...}?)
            {
             
            	  getUnorderedGroupHelper().enter(grammarAccess.getSystemAccess().getUnorderedGroup());
            	
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:337:2: ( ( ({...}? => ( ({...}? => ( (otherlv_1= 'System' | otherlv_2= 'system' ) ( (lv_name_3_0= ruleEString ) ) otherlv_4= '{' ( (lv_components_5_0= ruleComponent ) )+ ) ) ) ) | ({...}? => ( ({...}? => ( ( (lv_connectors_6_0= ruleConnector ) )* otherlv_7= '}' ) ) ) ) )+ {...}?)
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:338:3: ( ({...}? => ( ({...}? => ( (otherlv_1= 'System' | otherlv_2= 'system' ) ( (lv_name_3_0= ruleEString ) ) otherlv_4= '{' ( (lv_components_5_0= ruleComponent ) )+ ) ) ) ) | ({...}? => ( ({...}? => ( ( (lv_connectors_6_0= ruleConnector ) )* otherlv_7= '}' ) ) ) ) )+ {...}?
            {
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:338:3: ( ({...}? => ( ({...}? => ( (otherlv_1= 'System' | otherlv_2= 'system' ) ( (lv_name_3_0= ruleEString ) ) otherlv_4= '{' ( (lv_components_5_0= ruleComponent ) )+ ) ) ) ) | ({...}? => ( ({...}? => ( ( (lv_connectors_6_0= ruleConnector ) )* otherlv_7= '}' ) ) ) ) )+
            int cnt11=0;
            loop11:
            do {
                int alt11=3;
                switch ( input.LA(1) ) {
                case 16:
                    {
                    int LA11_2 = input.LA(2);

                    if ( getUnorderedGroupHelper().canSelect(grammarAccess.getSystemAccess().getUnorderedGroup(), 0) ) {
                        alt11=1;
                    }


                    }
                    break;
                case 17:
                    {
                    int LA11_3 = input.LA(2);

                    if ( getUnorderedGroupHelper().canSelect(grammarAccess.getSystemAccess().getUnorderedGroup(), 0) ) {
                        alt11=1;
                    }


                    }
                    break;
                case 32:
                    {
                    int LA11_4 = input.LA(2);

                    if ( getUnorderedGroupHelper().canSelect(grammarAccess.getSystemAccess().getUnorderedGroup(), 1) ) {
                        alt11=2;
                    }


                    }
                    break;
                case 15:
                    {
                    int LA11_5 = input.LA(2);

                    if ( getUnorderedGroupHelper().canSelect(grammarAccess.getSystemAccess().getUnorderedGroup(), 1) ) {
                        alt11=2;
                    }


                    }
                    break;

                }

                switch (alt11) {
            	case 1 :
            	    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:340:4: ({...}? => ( ({...}? => ( (otherlv_1= 'System' | otherlv_2= 'system' ) ( (lv_name_3_0= ruleEString ) ) otherlv_4= '{' ( (lv_components_5_0= ruleComponent ) )+ ) ) ) )
            	    {
            	    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:340:4: ({...}? => ( ({...}? => ( (otherlv_1= 'System' | otherlv_2= 'system' ) ( (lv_name_3_0= ruleEString ) ) otherlv_4= '{' ( (lv_components_5_0= ruleComponent ) )+ ) ) ) )
            	    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:341:5: {...}? => ( ({...}? => ( (otherlv_1= 'System' | otherlv_2= 'system' ) ( (lv_name_3_0= ruleEString ) ) otherlv_4= '{' ( (lv_components_5_0= ruleComponent ) )+ ) ) )
            	    {
            	    if ( ! getUnorderedGroupHelper().canSelect(grammarAccess.getSystemAccess().getUnorderedGroup(), 0) ) {
            	        throw new FailedPredicateException(input, "ruleSystem", "getUnorderedGroupHelper().canSelect(grammarAccess.getSystemAccess().getUnorderedGroup(), 0)");
            	    }
            	    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:341:101: ( ({...}? => ( (otherlv_1= 'System' | otherlv_2= 'system' ) ( (lv_name_3_0= ruleEString ) ) otherlv_4= '{' ( (lv_components_5_0= ruleComponent ) )+ ) ) )
            	    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:342:6: ({...}? => ( (otherlv_1= 'System' | otherlv_2= 'system' ) ( (lv_name_3_0= ruleEString ) ) otherlv_4= '{' ( (lv_components_5_0= ruleComponent ) )+ ) )
            	    {
            	     
            	    	 				  getUnorderedGroupHelper().select(grammarAccess.getSystemAccess().getUnorderedGroup(), 0);
            	    	 				
            	    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:345:6: ({...}? => ( (otherlv_1= 'System' | otherlv_2= 'system' ) ( (lv_name_3_0= ruleEString ) ) otherlv_4= '{' ( (lv_components_5_0= ruleComponent ) )+ ) )
            	    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:345:7: {...}? => ( (otherlv_1= 'System' | otherlv_2= 'system' ) ( (lv_name_3_0= ruleEString ) ) otherlv_4= '{' ( (lv_components_5_0= ruleComponent ) )+ )
            	    {
            	    if ( !((true)) ) {
            	        throw new FailedPredicateException(input, "ruleSystem", "true");
            	    }
            	    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:345:16: ( (otherlv_1= 'System' | otherlv_2= 'system' ) ( (lv_name_3_0= ruleEString ) ) otherlv_4= '{' ( (lv_components_5_0= ruleComponent ) )+ )
            	    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:345:17: (otherlv_1= 'System' | otherlv_2= 'system' ) ( (lv_name_3_0= ruleEString ) ) otherlv_4= '{' ( (lv_components_5_0= ruleComponent ) )+
            	    {
            	    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:345:17: (otherlv_1= 'System' | otherlv_2= 'system' )
            	    int alt8=2;
            	    int LA8_0 = input.LA(1);

            	    if ( (LA8_0==16) ) {
            	        alt8=1;
            	    }
            	    else if ( (LA8_0==17) ) {
            	        alt8=2;
            	    }
            	    else {
            	        NoViableAltException nvae =
            	            new NoViableAltException("", 8, 0, input);

            	        throw nvae;
            	    }
            	    switch (alt8) {
            	        case 1 :
            	            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:345:19: otherlv_1= 'System'
            	            {
            	            otherlv_1=(Token)match(input,16,FollowSets000.FOLLOW_16_in_ruleSystem748); 

            	                	newLeafNode(otherlv_1, grammarAccess.getSystemAccess().getSystemKeyword_0_0_0());
            	                

            	            }
            	            break;
            	        case 2 :
            	            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:350:7: otherlv_2= 'system'
            	            {
            	            otherlv_2=(Token)match(input,17,FollowSets000.FOLLOW_17_in_ruleSystem766); 

            	                	newLeafNode(otherlv_2, grammarAccess.getSystemAccess().getSystemKeyword_0_0_1());
            	                

            	            }
            	            break;

            	    }

            	    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:354:2: ( (lv_name_3_0= ruleEString ) )
            	    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:355:1: (lv_name_3_0= ruleEString )
            	    {
            	    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:355:1: (lv_name_3_0= ruleEString )
            	    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:356:3: lv_name_3_0= ruleEString
            	    {
            	     
            	    	        newCompositeNode(grammarAccess.getSystemAccess().getNameEStringParserRuleCall_0_1_0()); 
            	    	    
            	    pushFollow(FollowSets000.FOLLOW_ruleEString_in_ruleSystem788);
            	    lv_name_3_0=ruleEString();

            	    state._fsp--;


            	    	        if (current==null) {
            	    	            current = createModelElementForParent(grammarAccess.getSystemRule());
            	    	        }
            	           		set(
            	           			current, 
            	           			"name",
            	            		lv_name_3_0, 
            	            		"EString");
            	    	        afterParserOrEnumRuleCall();
            	    	    

            	    }


            	    }

            	    otherlv_4=(Token)match(input,14,FollowSets000.FOLLOW_14_in_ruleSystem800); 

            	        	newLeafNode(otherlv_4, grammarAccess.getSystemAccess().getLeftCurlyBracketKeyword_0_2());
            	        
            	    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:376:1: ( (lv_components_5_0= ruleComponent ) )+
            	    int cnt9=0;
            	    loop9:
            	    do {
            	        int alt9=2;
            	        int LA9_0 = input.LA(1);

            	        if ( ((LA9_0>=30 && LA9_0<=31)) ) {
            	            alt9=1;
            	        }


            	        switch (alt9) {
            	    	case 1 :
            	    	    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:377:1: (lv_components_5_0= ruleComponent )
            	    	    {
            	    	    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:377:1: (lv_components_5_0= ruleComponent )
            	    	    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:378:3: lv_components_5_0= ruleComponent
            	    	    {
            	    	     
            	    	    	        newCompositeNode(grammarAccess.getSystemAccess().getComponentsComponentParserRuleCall_0_3_0()); 
            	    	    	    
            	    	    pushFollow(FollowSets000.FOLLOW_ruleComponent_in_ruleSystem821);
            	    	    lv_components_5_0=ruleComponent();

            	    	    state._fsp--;


            	    	    	        if (current==null) {
            	    	    	            current = createModelElementForParent(grammarAccess.getSystemRule());
            	    	    	        }
            	    	           		add(
            	    	           			current, 
            	    	           			"components",
            	    	            		lv_components_5_0, 
            	    	            		"Component");
            	    	    	        afterParserOrEnumRuleCall();
            	    	    	    

            	    	    }


            	    	    }
            	    	    break;

            	    	default :
            	    	    if ( cnt9 >= 1 ) break loop9;
            	                EarlyExitException eee =
            	                    new EarlyExitException(9, input);
            	                throw eee;
            	        }
            	        cnt9++;
            	    } while (true);


            	    }


            	    }

            	     
            	    	 				  getUnorderedGroupHelper().returnFromSelection(grammarAccess.getSystemAccess().getUnorderedGroup());
            	    	 				

            	    }


            	    }


            	    }
            	    break;
            	case 2 :
            	    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:401:4: ({...}? => ( ({...}? => ( ( (lv_connectors_6_0= ruleConnector ) )* otherlv_7= '}' ) ) ) )
            	    {
            	    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:401:4: ({...}? => ( ({...}? => ( ( (lv_connectors_6_0= ruleConnector ) )* otherlv_7= '}' ) ) ) )
            	    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:402:5: {...}? => ( ({...}? => ( ( (lv_connectors_6_0= ruleConnector ) )* otherlv_7= '}' ) ) )
            	    {
            	    if ( ! getUnorderedGroupHelper().canSelect(grammarAccess.getSystemAccess().getUnorderedGroup(), 1) ) {
            	        throw new FailedPredicateException(input, "ruleSystem", "getUnorderedGroupHelper().canSelect(grammarAccess.getSystemAccess().getUnorderedGroup(), 1)");
            	    }
            	    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:402:101: ( ({...}? => ( ( (lv_connectors_6_0= ruleConnector ) )* otherlv_7= '}' ) ) )
            	    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:403:6: ({...}? => ( ( (lv_connectors_6_0= ruleConnector ) )* otherlv_7= '}' ) )
            	    {
            	     
            	    	 				  getUnorderedGroupHelper().select(grammarAccess.getSystemAccess().getUnorderedGroup(), 1);
            	    	 				
            	    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:406:6: ({...}? => ( ( (lv_connectors_6_0= ruleConnector ) )* otherlv_7= '}' ) )
            	    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:406:7: {...}? => ( ( (lv_connectors_6_0= ruleConnector ) )* otherlv_7= '}' )
            	    {
            	    if ( !((true)) ) {
            	        throw new FailedPredicateException(input, "ruleSystem", "true");
            	    }
            	    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:406:16: ( ( (lv_connectors_6_0= ruleConnector ) )* otherlv_7= '}' )
            	    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:406:17: ( (lv_connectors_6_0= ruleConnector ) )* otherlv_7= '}'
            	    {
            	    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:406:17: ( (lv_connectors_6_0= ruleConnector ) )*
            	    loop10:
            	    do {
            	        int alt10=2;
            	        int LA10_0 = input.LA(1);

            	        if ( (LA10_0==32) ) {
            	            alt10=1;
            	        }


            	        switch (alt10) {
            	    	case 1 :
            	    	    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:407:1: (lv_connectors_6_0= ruleConnector )
            	    	    {
            	    	    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:407:1: (lv_connectors_6_0= ruleConnector )
            	    	    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:408:3: lv_connectors_6_0= ruleConnector
            	    	    {
            	    	     
            	    	    	        newCompositeNode(grammarAccess.getSystemAccess().getConnectorsConnectorParserRuleCall_1_0_0()); 
            	    	    	    
            	    	    pushFollow(FollowSets000.FOLLOW_ruleConnector_in_ruleSystem899);
            	    	    lv_connectors_6_0=ruleConnector();

            	    	    state._fsp--;


            	    	    	        if (current==null) {
            	    	    	            current = createModelElementForParent(grammarAccess.getSystemRule());
            	    	    	        }
            	    	           		add(
            	    	           			current, 
            	    	           			"connectors",
            	    	            		lv_connectors_6_0, 
            	    	            		"Connector");
            	    	    	        afterParserOrEnumRuleCall();
            	    	    	    

            	    	    }


            	    	    }
            	    	    break;

            	    	default :
            	    	    break loop10;
            	        }
            	    } while (true);

            	    otherlv_7=(Token)match(input,15,FollowSets000.FOLLOW_15_in_ruleSystem912); 

            	        	newLeafNode(otherlv_7, grammarAccess.getSystemAccess().getRightCurlyBracketKeyword_1_1());
            	        

            	    }


            	    }

            	     
            	    	 				  getUnorderedGroupHelper().returnFromSelection(grammarAccess.getSystemAccess().getUnorderedGroup());
            	    	 				

            	    }


            	    }


            	    }
            	    break;

            	default :
            	    if ( cnt11 >= 1 ) break loop11;
                        EarlyExitException eee =
                            new EarlyExitException(11, input);
                        throw eee;
                }
                cnt11++;
            } while (true);

            if ( ! getUnorderedGroupHelper().canLeave(grammarAccess.getSystemAccess().getUnorderedGroup()) ) {
                throw new FailedPredicateException(input, "ruleSystem", "getUnorderedGroupHelper().canLeave(grammarAccess.getSystemAccess().getUnorderedGroup())");
            }

            }


            }

             
            	  getUnorderedGroupHelper().leave(grammarAccess.getSystemAccess().getUnorderedGroup());
            	

            }


            }

             leaveRule(); 
        }
         
            catch (RecognitionException re) { 
                recover(input,re); 
                appendSkippedTokens();
            } 
        finally {
        }
        return current;
    }
    // $ANTLR end "ruleSystem"


    // $ANTLR start "entryRuleEString"
    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:451:1: entryRuleEString returns [String current=null] : iv_ruleEString= ruleEString EOF ;
    public final String entryRuleEString() throws RecognitionException {
        String current = null;

        AntlrDatatypeRuleToken iv_ruleEString = null;


        try {
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:452:2: (iv_ruleEString= ruleEString EOF )
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:453:2: iv_ruleEString= ruleEString EOF
            {
             newCompositeNode(grammarAccess.getEStringRule()); 
            pushFollow(FollowSets000.FOLLOW_ruleEString_in_entryRuleEString995);
            iv_ruleEString=ruleEString();

            state._fsp--;

             current =iv_ruleEString.getText(); 
            match(input,EOF,FollowSets000.FOLLOW_EOF_in_entryRuleEString1006); 

            }

        }
         
            catch (RecognitionException re) { 
                recover(input,re); 
                appendSkippedTokens();
            } 
        finally {
        }
        return current;
    }
    // $ANTLR end "entryRuleEString"


    // $ANTLR start "ruleEString"
    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:460:1: ruleEString returns [AntlrDatatypeRuleToken current=new AntlrDatatypeRuleToken()] : (this_STRING_0= RULE_STRING | this_ID_1= RULE_ID ) ;
    public final AntlrDatatypeRuleToken ruleEString() throws RecognitionException {
        AntlrDatatypeRuleToken current = new AntlrDatatypeRuleToken();

        Token this_STRING_0=null;
        Token this_ID_1=null;

         enterRule(); 
            
        try {
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:463:28: ( (this_STRING_0= RULE_STRING | this_ID_1= RULE_ID ) )
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:464:1: (this_STRING_0= RULE_STRING | this_ID_1= RULE_ID )
            {
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:464:1: (this_STRING_0= RULE_STRING | this_ID_1= RULE_ID )
            int alt12=2;
            int LA12_0 = input.LA(1);

            if ( (LA12_0==RULE_STRING) ) {
                alt12=1;
            }
            else if ( (LA12_0==RULE_ID) ) {
                alt12=2;
            }
            else {
                NoViableAltException nvae =
                    new NoViableAltException("", 12, 0, input);

                throw nvae;
            }
            switch (alt12) {
                case 1 :
                    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:464:6: this_STRING_0= RULE_STRING
                    {
                    this_STRING_0=(Token)match(input,RULE_STRING,FollowSets000.FOLLOW_RULE_STRING_in_ruleEString1046); 

                    		current.merge(this_STRING_0);
                        
                     
                        newLeafNode(this_STRING_0, grammarAccess.getEStringAccess().getSTRINGTerminalRuleCall_0()); 
                        

                    }
                    break;
                case 2 :
                    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:472:10: this_ID_1= RULE_ID
                    {
                    this_ID_1=(Token)match(input,RULE_ID,FollowSets000.FOLLOW_RULE_ID_in_ruleEString1072); 

                    		current.merge(this_ID_1);
                        
                     
                        newLeafNode(this_ID_1, grammarAccess.getEStringAccess().getIDTerminalRuleCall_1()); 
                        

                    }
                    break;

            }


            }

             leaveRule(); 
        }
         
            catch (RecognitionException re) { 
                recover(input,re); 
                appendSkippedTokens();
            } 
        finally {
        }
        return current;
    }
    // $ANTLR end "ruleEString"


    // $ANTLR start "entryRuleServiceDef"
    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:487:1: entryRuleServiceDef returns [EObject current=null] : iv_ruleServiceDef= ruleServiceDef EOF ;
    public final EObject entryRuleServiceDef() throws RecognitionException {
        EObject current = null;

        EObject iv_ruleServiceDef = null;


        try {
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:488:2: (iv_ruleServiceDef= ruleServiceDef EOF )
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:489:2: iv_ruleServiceDef= ruleServiceDef EOF
            {
             newCompositeNode(grammarAccess.getServiceDefRule()); 
            pushFollow(FollowSets000.FOLLOW_ruleServiceDef_in_entryRuleServiceDef1117);
            iv_ruleServiceDef=ruleServiceDef();

            state._fsp--;

             current =iv_ruleServiceDef; 
            match(input,EOF,FollowSets000.FOLLOW_EOF_in_entryRuleServiceDef1127); 

            }

        }
         
            catch (RecognitionException re) { 
                recover(input,re); 
                appendSkippedTokens();
            } 
        finally {
        }
        return current;
    }
    // $ANTLR end "entryRuleServiceDef"


    // $ANTLR start "ruleServiceDef"
    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:496:1: ruleServiceDef returns [EObject current=null] : ( () (otherlv_1= 'service' | otherlv_2= 'Service' ) ( (lv_name_3_0= ruleEString ) ) otherlv_4= ';' ) ;
    public final EObject ruleServiceDef() throws RecognitionException {
        EObject current = null;

        Token otherlv_1=null;
        Token otherlv_2=null;
        Token otherlv_4=null;
        AntlrDatatypeRuleToken lv_name_3_0 = null;


         enterRule(); 
            
        try {
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:499:28: ( ( () (otherlv_1= 'service' | otherlv_2= 'Service' ) ( (lv_name_3_0= ruleEString ) ) otherlv_4= ';' ) )
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:500:1: ( () (otherlv_1= 'service' | otherlv_2= 'Service' ) ( (lv_name_3_0= ruleEString ) ) otherlv_4= ';' )
            {
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:500:1: ( () (otherlv_1= 'service' | otherlv_2= 'Service' ) ( (lv_name_3_0= ruleEString ) ) otherlv_4= ';' )
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:500:2: () (otherlv_1= 'service' | otherlv_2= 'Service' ) ( (lv_name_3_0= ruleEString ) ) otherlv_4= ';'
            {
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:500:2: ()
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:501:5: 
            {

                    current = forceCreateModelElement(
                        grammarAccess.getServiceDefAccess().getServiceDefAction_0(),
                        current);
                

            }

            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:506:2: (otherlv_1= 'service' | otherlv_2= 'Service' )
            int alt13=2;
            int LA13_0 = input.LA(1);

            if ( (LA13_0==18) ) {
                alt13=1;
            }
            else if ( (LA13_0==19) ) {
                alt13=2;
            }
            else {
                NoViableAltException nvae =
                    new NoViableAltException("", 13, 0, input);

                throw nvae;
            }
            switch (alt13) {
                case 1 :
                    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:506:4: otherlv_1= 'service'
                    {
                    otherlv_1=(Token)match(input,18,FollowSets000.FOLLOW_18_in_ruleServiceDef1174); 

                        	newLeafNode(otherlv_1, grammarAccess.getServiceDefAccess().getServiceKeyword_1_0());
                        

                    }
                    break;
                case 2 :
                    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:511:7: otherlv_2= 'Service'
                    {
                    otherlv_2=(Token)match(input,19,FollowSets000.FOLLOW_19_in_ruleServiceDef1192); 

                        	newLeafNode(otherlv_2, grammarAccess.getServiceDefAccess().getServiceKeyword_1_1());
                        

                    }
                    break;

            }

            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:515:2: ( (lv_name_3_0= ruleEString ) )
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:516:1: (lv_name_3_0= ruleEString )
            {
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:516:1: (lv_name_3_0= ruleEString )
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:517:3: lv_name_3_0= ruleEString
            {
             
            	        newCompositeNode(grammarAccess.getServiceDefAccess().getNameEStringParserRuleCall_2_0()); 
            	    
            pushFollow(FollowSets000.FOLLOW_ruleEString_in_ruleServiceDef1214);
            lv_name_3_0=ruleEString();

            state._fsp--;


            	        if (current==null) {
            	            current = createModelElementForParent(grammarAccess.getServiceDefRule());
            	        }
                   		set(
                   			current, 
                   			"name",
                    		lv_name_3_0, 
                    		"EString");
            	        afterParserOrEnumRuleCall();
            	    

            }


            }

            otherlv_4=(Token)match(input,20,FollowSets000.FOLLOW_20_in_ruleServiceDef1226); 

                	newLeafNode(otherlv_4, grammarAccess.getServiceDefAccess().getSemicolonKeyword_3());
                

            }


            }

             leaveRule(); 
        }
         
            catch (RecognitionException re) { 
                recover(input,re); 
                appendSkippedTokens();
            } 
        finally {
        }
        return current;
    }
    // $ANTLR end "ruleServiceDef"


    // $ANTLR start "entryRuleComponentDef"
    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:545:1: entryRuleComponentDef returns [EObject current=null] : iv_ruleComponentDef= ruleComponentDef EOF ;
    public final EObject entryRuleComponentDef() throws RecognitionException {
        EObject current = null;

        EObject iv_ruleComponentDef = null;


        try {
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:546:2: (iv_ruleComponentDef= ruleComponentDef EOF )
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:547:2: iv_ruleComponentDef= ruleComponentDef EOF
            {
             newCompositeNode(grammarAccess.getComponentDefRule()); 
            pushFollow(FollowSets000.FOLLOW_ruleComponentDef_in_entryRuleComponentDef1262);
            iv_ruleComponentDef=ruleComponentDef();

            state._fsp--;

             current =iv_ruleComponentDef; 
            match(input,EOF,FollowSets000.FOLLOW_EOF_in_entryRuleComponentDef1272); 

            }

        }
         
            catch (RecognitionException re) { 
                recover(input,re); 
                appendSkippedTokens();
            } 
        finally {
        }
        return current;
    }
    // $ANTLR end "entryRuleComponentDef"


    // $ANTLR start "ruleComponentDef"
    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:554:1: ruleComponentDef returns [EObject current=null] : ( (otherlv_0= 'ComponentDef' | otherlv_1= 'componentDef' ) ( (lv_name_2_0= ruleEString ) ) otherlv_3= '{' ( (lv_ports_4_0= rulePortDef ) )+ otherlv_5= '}' ) ;
    public final EObject ruleComponentDef() throws RecognitionException {
        EObject current = null;

        Token otherlv_0=null;
        Token otherlv_1=null;
        Token otherlv_3=null;
        Token otherlv_5=null;
        AntlrDatatypeRuleToken lv_name_2_0 = null;

        EObject lv_ports_4_0 = null;


         enterRule(); 
            
        try {
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:557:28: ( ( (otherlv_0= 'ComponentDef' | otherlv_1= 'componentDef' ) ( (lv_name_2_0= ruleEString ) ) otherlv_3= '{' ( (lv_ports_4_0= rulePortDef ) )+ otherlv_5= '}' ) )
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:558:1: ( (otherlv_0= 'ComponentDef' | otherlv_1= 'componentDef' ) ( (lv_name_2_0= ruleEString ) ) otherlv_3= '{' ( (lv_ports_4_0= rulePortDef ) )+ otherlv_5= '}' )
            {
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:558:1: ( (otherlv_0= 'ComponentDef' | otherlv_1= 'componentDef' ) ( (lv_name_2_0= ruleEString ) ) otherlv_3= '{' ( (lv_ports_4_0= rulePortDef ) )+ otherlv_5= '}' )
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:558:2: (otherlv_0= 'ComponentDef' | otherlv_1= 'componentDef' ) ( (lv_name_2_0= ruleEString ) ) otherlv_3= '{' ( (lv_ports_4_0= rulePortDef ) )+ otherlv_5= '}'
            {
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:558:2: (otherlv_0= 'ComponentDef' | otherlv_1= 'componentDef' )
            int alt14=2;
            int LA14_0 = input.LA(1);

            if ( (LA14_0==21) ) {
                alt14=1;
            }
            else if ( (LA14_0==22) ) {
                alt14=2;
            }
            else {
                NoViableAltException nvae =
                    new NoViableAltException("", 14, 0, input);

                throw nvae;
            }
            switch (alt14) {
                case 1 :
                    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:558:4: otherlv_0= 'ComponentDef'
                    {
                    otherlv_0=(Token)match(input,21,FollowSets000.FOLLOW_21_in_ruleComponentDef1310); 

                        	newLeafNode(otherlv_0, grammarAccess.getComponentDefAccess().getComponentDefKeyword_0_0());
                        

                    }
                    break;
                case 2 :
                    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:563:7: otherlv_1= 'componentDef'
                    {
                    otherlv_1=(Token)match(input,22,FollowSets000.FOLLOW_22_in_ruleComponentDef1328); 

                        	newLeafNode(otherlv_1, grammarAccess.getComponentDefAccess().getComponentDefKeyword_0_1());
                        

                    }
                    break;

            }

            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:567:2: ( (lv_name_2_0= ruleEString ) )
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:568:1: (lv_name_2_0= ruleEString )
            {
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:568:1: (lv_name_2_0= ruleEString )
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:569:3: lv_name_2_0= ruleEString
            {
             
            	        newCompositeNode(grammarAccess.getComponentDefAccess().getNameEStringParserRuleCall_1_0()); 
            	    
            pushFollow(FollowSets000.FOLLOW_ruleEString_in_ruleComponentDef1350);
            lv_name_2_0=ruleEString();

            state._fsp--;


            	        if (current==null) {
            	            current = createModelElementForParent(grammarAccess.getComponentDefRule());
            	        }
                   		set(
                   			current, 
                   			"name",
                    		lv_name_2_0, 
                    		"EString");
            	        afterParserOrEnumRuleCall();
            	    

            }


            }

            otherlv_3=(Token)match(input,14,FollowSets000.FOLLOW_14_in_ruleComponentDef1362); 

                	newLeafNode(otherlv_3, grammarAccess.getComponentDefAccess().getLeftCurlyBracketKeyword_2());
                
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:589:1: ( (lv_ports_4_0= rulePortDef ) )+
            int cnt15=0;
            loop15:
            do {
                int alt15=2;
                int LA15_0 = input.LA(1);

                if ( ((LA15_0>=23 && LA15_0<=24)) ) {
                    alt15=1;
                }


                switch (alt15) {
            	case 1 :
            	    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:590:1: (lv_ports_4_0= rulePortDef )
            	    {
            	    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:590:1: (lv_ports_4_0= rulePortDef )
            	    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:591:3: lv_ports_4_0= rulePortDef
            	    {
            	     
            	    	        newCompositeNode(grammarAccess.getComponentDefAccess().getPortsPortDefParserRuleCall_3_0()); 
            	    	    
            	    pushFollow(FollowSets000.FOLLOW_rulePortDef_in_ruleComponentDef1383);
            	    lv_ports_4_0=rulePortDef();

            	    state._fsp--;


            	    	        if (current==null) {
            	    	            current = createModelElementForParent(grammarAccess.getComponentDefRule());
            	    	        }
            	           		add(
            	           			current, 
            	           			"ports",
            	            		lv_ports_4_0, 
            	            		"PortDef");
            	    	        afterParserOrEnumRuleCall();
            	    	    

            	    }


            	    }
            	    break;

            	default :
            	    if ( cnt15 >= 1 ) break loop15;
                        EarlyExitException eee =
                            new EarlyExitException(15, input);
                        throw eee;
                }
                cnt15++;
            } while (true);

            otherlv_5=(Token)match(input,15,FollowSets000.FOLLOW_15_in_ruleComponentDef1396); 

                	newLeafNode(otherlv_5, grammarAccess.getComponentDefAccess().getRightCurlyBracketKeyword_4());
                

            }


            }

             leaveRule(); 
        }
         
            catch (RecognitionException re) { 
                recover(input,re); 
                appendSkippedTokens();
            } 
        finally {
        }
        return current;
    }
    // $ANTLR end "ruleComponentDef"


    // $ANTLR start "entryRulePortDef"
    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:619:1: entryRulePortDef returns [EObject current=null] : iv_rulePortDef= rulePortDef EOF ;
    public final EObject entryRulePortDef() throws RecognitionException {
        EObject current = null;

        EObject iv_rulePortDef = null;


        try {
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:620:2: (iv_rulePortDef= rulePortDef EOF )
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:621:2: iv_rulePortDef= rulePortDef EOF
            {
             newCompositeNode(grammarAccess.getPortDefRule()); 
            pushFollow(FollowSets000.FOLLOW_rulePortDef_in_entryRulePortDef1432);
            iv_rulePortDef=rulePortDef();

            state._fsp--;

             current =iv_rulePortDef; 
            match(input,EOF,FollowSets000.FOLLOW_EOF_in_entryRulePortDef1442); 

            }

        }
         
            catch (RecognitionException re) { 
                recover(input,re); 
                appendSkippedTokens();
            } 
        finally {
        }
        return current;
    }
    // $ANTLR end "entryRulePortDef"


    // $ANTLR start "rulePortDef"
    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:628:1: rulePortDef returns [EObject current=null] : ( (otherlv_0= 'PortDef' | otherlv_1= 'portDef' ) ( (lv_name_2_0= ruleEString ) ) otherlv_3= ':' otherlv_4= 'services' otherlv_5= '(' ( ( ruleEString ) ) (otherlv_7= ',' ( ( ruleEString ) )* )* otherlv_9= ')' otherlv_10= ';' ) ;
    public final EObject rulePortDef() throws RecognitionException {
        EObject current = null;

        Token otherlv_0=null;
        Token otherlv_1=null;
        Token otherlv_3=null;
        Token otherlv_4=null;
        Token otherlv_5=null;
        Token otherlv_7=null;
        Token otherlv_9=null;
        Token otherlv_10=null;
        AntlrDatatypeRuleToken lv_name_2_0 = null;


         enterRule(); 
            
        try {
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:631:28: ( ( (otherlv_0= 'PortDef' | otherlv_1= 'portDef' ) ( (lv_name_2_0= ruleEString ) ) otherlv_3= ':' otherlv_4= 'services' otherlv_5= '(' ( ( ruleEString ) ) (otherlv_7= ',' ( ( ruleEString ) )* )* otherlv_9= ')' otherlv_10= ';' ) )
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:632:1: ( (otherlv_0= 'PortDef' | otherlv_1= 'portDef' ) ( (lv_name_2_0= ruleEString ) ) otherlv_3= ':' otherlv_4= 'services' otherlv_5= '(' ( ( ruleEString ) ) (otherlv_7= ',' ( ( ruleEString ) )* )* otherlv_9= ')' otherlv_10= ';' )
            {
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:632:1: ( (otherlv_0= 'PortDef' | otherlv_1= 'portDef' ) ( (lv_name_2_0= ruleEString ) ) otherlv_3= ':' otherlv_4= 'services' otherlv_5= '(' ( ( ruleEString ) ) (otherlv_7= ',' ( ( ruleEString ) )* )* otherlv_9= ')' otherlv_10= ';' )
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:632:2: (otherlv_0= 'PortDef' | otherlv_1= 'portDef' ) ( (lv_name_2_0= ruleEString ) ) otherlv_3= ':' otherlv_4= 'services' otherlv_5= '(' ( ( ruleEString ) ) (otherlv_7= ',' ( ( ruleEString ) )* )* otherlv_9= ')' otherlv_10= ';'
            {
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:632:2: (otherlv_0= 'PortDef' | otherlv_1= 'portDef' )
            int alt16=2;
            int LA16_0 = input.LA(1);

            if ( (LA16_0==23) ) {
                alt16=1;
            }
            else if ( (LA16_0==24) ) {
                alt16=2;
            }
            else {
                NoViableAltException nvae =
                    new NoViableAltException("", 16, 0, input);

                throw nvae;
            }
            switch (alt16) {
                case 1 :
                    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:632:4: otherlv_0= 'PortDef'
                    {
                    otherlv_0=(Token)match(input,23,FollowSets000.FOLLOW_23_in_rulePortDef1480); 

                        	newLeafNode(otherlv_0, grammarAccess.getPortDefAccess().getPortDefKeyword_0_0());
                        

                    }
                    break;
                case 2 :
                    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:637:7: otherlv_1= 'portDef'
                    {
                    otherlv_1=(Token)match(input,24,FollowSets000.FOLLOW_24_in_rulePortDef1498); 

                        	newLeafNode(otherlv_1, grammarAccess.getPortDefAccess().getPortDefKeyword_0_1());
                        

                    }
                    break;

            }

            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:641:2: ( (lv_name_2_0= ruleEString ) )
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:642:1: (lv_name_2_0= ruleEString )
            {
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:642:1: (lv_name_2_0= ruleEString )
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:643:3: lv_name_2_0= ruleEString
            {
             
            	        newCompositeNode(grammarAccess.getPortDefAccess().getNameEStringParserRuleCall_1_0()); 
            	    
            pushFollow(FollowSets000.FOLLOW_ruleEString_in_rulePortDef1520);
            lv_name_2_0=ruleEString();

            state._fsp--;


            	        if (current==null) {
            	            current = createModelElementForParent(grammarAccess.getPortDefRule());
            	        }
                   		set(
                   			current, 
                   			"name",
                    		lv_name_2_0, 
                    		"EString");
            	        afterParserOrEnumRuleCall();
            	    

            }


            }

            otherlv_3=(Token)match(input,25,FollowSets000.FOLLOW_25_in_rulePortDef1532); 

                	newLeafNode(otherlv_3, grammarAccess.getPortDefAccess().getColonKeyword_2());
                
            otherlv_4=(Token)match(input,26,FollowSets000.FOLLOW_26_in_rulePortDef1544); 

                	newLeafNode(otherlv_4, grammarAccess.getPortDefAccess().getServicesKeyword_3());
                
            otherlv_5=(Token)match(input,27,FollowSets000.FOLLOW_27_in_rulePortDef1556); 

                	newLeafNode(otherlv_5, grammarAccess.getPortDefAccess().getLeftParenthesisKeyword_4());
                
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:671:1: ( ( ruleEString ) )
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:672:1: ( ruleEString )
            {
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:672:1: ( ruleEString )
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:673:3: ruleEString
            {

            			if (current==null) {
            	            current = createModelElement(grammarAccess.getPortDefRule());
            	        }
                    
             
            	        newCompositeNode(grammarAccess.getPortDefAccess().getServicesServiceDefCrossReference_5_0()); 
            	    
            pushFollow(FollowSets000.FOLLOW_ruleEString_in_rulePortDef1579);
            ruleEString();

            state._fsp--;

             
            	        afterParserOrEnumRuleCall();
            	    

            }


            }

            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:686:2: (otherlv_7= ',' ( ( ruleEString ) )* )*
            loop18:
            do {
                int alt18=2;
                int LA18_0 = input.LA(1);

                if ( (LA18_0==28) ) {
                    alt18=1;
                }


                switch (alt18) {
            	case 1 :
            	    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:686:4: otherlv_7= ',' ( ( ruleEString ) )*
            	    {
            	    otherlv_7=(Token)match(input,28,FollowSets000.FOLLOW_28_in_rulePortDef1592); 

            	        	newLeafNode(otherlv_7, grammarAccess.getPortDefAccess().getCommaKeyword_6_0());
            	        
            	    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:690:1: ( ( ruleEString ) )*
            	    loop17:
            	    do {
            	        int alt17=2;
            	        int LA17_0 = input.LA(1);

            	        if ( ((LA17_0>=RULE_STRING && LA17_0<=RULE_ID)) ) {
            	            alt17=1;
            	        }


            	        switch (alt17) {
            	    	case 1 :
            	    	    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:691:1: ( ruleEString )
            	    	    {
            	    	    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:691:1: ( ruleEString )
            	    	    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:692:3: ruleEString
            	    	    {

            	    	    			if (current==null) {
            	    	    	            current = createModelElement(grammarAccess.getPortDefRule());
            	    	    	        }
            	    	            
            	    	     
            	    	    	        newCompositeNode(grammarAccess.getPortDefAccess().getServicesServiceDefCrossReference_6_1_0()); 
            	    	    	    
            	    	    pushFollow(FollowSets000.FOLLOW_ruleEString_in_rulePortDef1615);
            	    	    ruleEString();

            	    	    state._fsp--;

            	    	     
            	    	    	        afterParserOrEnumRuleCall();
            	    	    	    

            	    	    }


            	    	    }
            	    	    break;

            	    	default :
            	    	    break loop17;
            	        }
            	    } while (true);


            	    }
            	    break;

            	default :
            	    break loop18;
                }
            } while (true);

            otherlv_9=(Token)match(input,29,FollowSets000.FOLLOW_29_in_rulePortDef1630); 

                	newLeafNode(otherlv_9, grammarAccess.getPortDefAccess().getRightParenthesisKeyword_7());
                
            otherlv_10=(Token)match(input,20,FollowSets000.FOLLOW_20_in_rulePortDef1642); 

                	newLeafNode(otherlv_10, grammarAccess.getPortDefAccess().getSemicolonKeyword_8());
                

            }


            }

             leaveRule(); 
        }
         
            catch (RecognitionException re) { 
                recover(input,re); 
                appendSkippedTokens();
            } 
        finally {
        }
        return current;
    }
    // $ANTLR end "rulePortDef"


    // $ANTLR start "entryRuleComponent"
    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:721:1: entryRuleComponent returns [EObject current=null] : iv_ruleComponent= ruleComponent EOF ;
    public final EObject entryRuleComponent() throws RecognitionException {
        EObject current = null;

        EObject iv_ruleComponent = null;


        try {
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:722:2: (iv_ruleComponent= ruleComponent EOF )
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:723:2: iv_ruleComponent= ruleComponent EOF
            {
             newCompositeNode(grammarAccess.getComponentRule()); 
            pushFollow(FollowSets000.FOLLOW_ruleComponent_in_entryRuleComponent1678);
            iv_ruleComponent=ruleComponent();

            state._fsp--;

             current =iv_ruleComponent; 
            match(input,EOF,FollowSets000.FOLLOW_EOF_in_entryRuleComponent1688); 

            }

        }
         
            catch (RecognitionException re) { 
                recover(input,re); 
                appendSkippedTokens();
            } 
        finally {
        }
        return current;
    }
    // $ANTLR end "entryRuleComponent"


    // $ANTLR start "ruleComponent"
    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:730:1: ruleComponent returns [EObject current=null] : ( (otherlv_0= 'Component' | otherlv_1= 'component' ) ( (lv_name_2_0= ruleEString ) ) otherlv_3= ':' ( ( ruleEString ) ) otherlv_5= '{' ( (lv_ports_6_0= rulePort ) )+ otherlv_7= '}' ) ;
    public final EObject ruleComponent() throws RecognitionException {
        EObject current = null;

        Token otherlv_0=null;
        Token otherlv_1=null;
        Token otherlv_3=null;
        Token otherlv_5=null;
        Token otherlv_7=null;
        AntlrDatatypeRuleToken lv_name_2_0 = null;

        EObject lv_ports_6_0 = null;


         enterRule(); 
            
        try {
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:733:28: ( ( (otherlv_0= 'Component' | otherlv_1= 'component' ) ( (lv_name_2_0= ruleEString ) ) otherlv_3= ':' ( ( ruleEString ) ) otherlv_5= '{' ( (lv_ports_6_0= rulePort ) )+ otherlv_7= '}' ) )
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:734:1: ( (otherlv_0= 'Component' | otherlv_1= 'component' ) ( (lv_name_2_0= ruleEString ) ) otherlv_3= ':' ( ( ruleEString ) ) otherlv_5= '{' ( (lv_ports_6_0= rulePort ) )+ otherlv_7= '}' )
            {
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:734:1: ( (otherlv_0= 'Component' | otherlv_1= 'component' ) ( (lv_name_2_0= ruleEString ) ) otherlv_3= ':' ( ( ruleEString ) ) otherlv_5= '{' ( (lv_ports_6_0= rulePort ) )+ otherlv_7= '}' )
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:734:2: (otherlv_0= 'Component' | otherlv_1= 'component' ) ( (lv_name_2_0= ruleEString ) ) otherlv_3= ':' ( ( ruleEString ) ) otherlv_5= '{' ( (lv_ports_6_0= rulePort ) )+ otherlv_7= '}'
            {
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:734:2: (otherlv_0= 'Component' | otherlv_1= 'component' )
            int alt19=2;
            int LA19_0 = input.LA(1);

            if ( (LA19_0==30) ) {
                alt19=1;
            }
            else if ( (LA19_0==31) ) {
                alt19=2;
            }
            else {
                NoViableAltException nvae =
                    new NoViableAltException("", 19, 0, input);

                throw nvae;
            }
            switch (alt19) {
                case 1 :
                    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:734:4: otherlv_0= 'Component'
                    {
                    otherlv_0=(Token)match(input,30,FollowSets000.FOLLOW_30_in_ruleComponent1726); 

                        	newLeafNode(otherlv_0, grammarAccess.getComponentAccess().getComponentKeyword_0_0());
                        

                    }
                    break;
                case 2 :
                    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:739:7: otherlv_1= 'component'
                    {
                    otherlv_1=(Token)match(input,31,FollowSets000.FOLLOW_31_in_ruleComponent1744); 

                        	newLeafNode(otherlv_1, grammarAccess.getComponentAccess().getComponentKeyword_0_1());
                        

                    }
                    break;

            }

            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:743:2: ( (lv_name_2_0= ruleEString ) )
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:744:1: (lv_name_2_0= ruleEString )
            {
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:744:1: (lv_name_2_0= ruleEString )
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:745:3: lv_name_2_0= ruleEString
            {
             
            	        newCompositeNode(grammarAccess.getComponentAccess().getNameEStringParserRuleCall_1_0()); 
            	    
            pushFollow(FollowSets000.FOLLOW_ruleEString_in_ruleComponent1766);
            lv_name_2_0=ruleEString();

            state._fsp--;


            	        if (current==null) {
            	            current = createModelElementForParent(grammarAccess.getComponentRule());
            	        }
                   		set(
                   			current, 
                   			"name",
                    		lv_name_2_0, 
                    		"EString");
            	        afterParserOrEnumRuleCall();
            	    

            }


            }

            otherlv_3=(Token)match(input,25,FollowSets000.FOLLOW_25_in_ruleComponent1778); 

                	newLeafNode(otherlv_3, grammarAccess.getComponentAccess().getColonKeyword_2());
                
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:765:1: ( ( ruleEString ) )
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:766:1: ( ruleEString )
            {
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:766:1: ( ruleEString )
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:767:3: ruleEString
            {

            			if (current==null) {
            	            current = createModelElement(grammarAccess.getComponentRule());
            	        }
                    
             
            	        newCompositeNode(grammarAccess.getComponentAccess().getDefinitionComponentDefCrossReference_3_0()); 
            	    
            pushFollow(FollowSets000.FOLLOW_ruleEString_in_ruleComponent1801);
            ruleEString();

            state._fsp--;

             
            	        afterParserOrEnumRuleCall();
            	    

            }


            }

            otherlv_5=(Token)match(input,14,FollowSets000.FOLLOW_14_in_ruleComponent1813); 

                	newLeafNode(otherlv_5, grammarAccess.getComponentAccess().getLeftCurlyBracketKeyword_4());
                
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:784:1: ( (lv_ports_6_0= rulePort ) )+
            int cnt20=0;
            loop20:
            do {
                int alt20=2;
                int LA20_0 = input.LA(1);

                if ( ((LA20_0>=34 && LA20_0<=35)) ) {
                    alt20=1;
                }


                switch (alt20) {
            	case 1 :
            	    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:785:1: (lv_ports_6_0= rulePort )
            	    {
            	    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:785:1: (lv_ports_6_0= rulePort )
            	    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:786:3: lv_ports_6_0= rulePort
            	    {
            	     
            	    	        newCompositeNode(grammarAccess.getComponentAccess().getPortsPortParserRuleCall_5_0()); 
            	    	    
            	    pushFollow(FollowSets000.FOLLOW_rulePort_in_ruleComponent1834);
            	    lv_ports_6_0=rulePort();

            	    state._fsp--;


            	    	        if (current==null) {
            	    	            current = createModelElementForParent(grammarAccess.getComponentRule());
            	    	        }
            	           		add(
            	           			current, 
            	           			"ports",
            	            		lv_ports_6_0, 
            	            		"Port");
            	    	        afterParserOrEnumRuleCall();
            	    	    

            	    }


            	    }
            	    break;

            	default :
            	    if ( cnt20 >= 1 ) break loop20;
                        EarlyExitException eee =
                            new EarlyExitException(20, input);
                        throw eee;
                }
                cnt20++;
            } while (true);

            otherlv_7=(Token)match(input,15,FollowSets000.FOLLOW_15_in_ruleComponent1847); 

                	newLeafNode(otherlv_7, grammarAccess.getComponentAccess().getRightCurlyBracketKeyword_6());
                

            }


            }

             leaveRule(); 
        }
         
            catch (RecognitionException re) { 
                recover(input,re); 
                appendSkippedTokens();
            } 
        finally {
        }
        return current;
    }
    // $ANTLR end "ruleComponent"


    // $ANTLR start "entryRuleConnector"
    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:814:1: entryRuleConnector returns [EObject current=null] : iv_ruleConnector= ruleConnector EOF ;
    public final EObject entryRuleConnector() throws RecognitionException {
        EObject current = null;

        EObject iv_ruleConnector = null;


        try {
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:815:2: (iv_ruleConnector= ruleConnector EOF )
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:816:2: iv_ruleConnector= ruleConnector EOF
            {
             newCompositeNode(grammarAccess.getConnectorRule()); 
            pushFollow(FollowSets000.FOLLOW_ruleConnector_in_entryRuleConnector1883);
            iv_ruleConnector=ruleConnector();

            state._fsp--;

             current =iv_ruleConnector; 
            match(input,EOF,FollowSets000.FOLLOW_EOF_in_entryRuleConnector1893); 

            }

        }
         
            catch (RecognitionException re) { 
                recover(input,re); 
                appendSkippedTokens();
            } 
        finally {
        }
        return current;
    }
    // $ANTLR end "entryRuleConnector"


    // $ANTLR start "ruleConnector"
    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:823:1: ruleConnector returns [EObject current=null] : (otherlv_0= 'bind' otherlv_1= ':' ( ( ruleQualifiedName ) ) otherlv_3= '<->' ( ( ruleQualifiedName ) ) otherlv_5= ';' ) ;
    public final EObject ruleConnector() throws RecognitionException {
        EObject current = null;

        Token otherlv_0=null;
        Token otherlv_1=null;
        Token otherlv_3=null;
        Token otherlv_5=null;

         enterRule(); 
            
        try {
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:826:28: ( (otherlv_0= 'bind' otherlv_1= ':' ( ( ruleQualifiedName ) ) otherlv_3= '<->' ( ( ruleQualifiedName ) ) otherlv_5= ';' ) )
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:827:1: (otherlv_0= 'bind' otherlv_1= ':' ( ( ruleQualifiedName ) ) otherlv_3= '<->' ( ( ruleQualifiedName ) ) otherlv_5= ';' )
            {
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:827:1: (otherlv_0= 'bind' otherlv_1= ':' ( ( ruleQualifiedName ) ) otherlv_3= '<->' ( ( ruleQualifiedName ) ) otherlv_5= ';' )
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:827:3: otherlv_0= 'bind' otherlv_1= ':' ( ( ruleQualifiedName ) ) otherlv_3= '<->' ( ( ruleQualifiedName ) ) otherlv_5= ';'
            {
            otherlv_0=(Token)match(input,32,FollowSets000.FOLLOW_32_in_ruleConnector1930); 

                	newLeafNode(otherlv_0, grammarAccess.getConnectorAccess().getBindKeyword_0());
                
            otherlv_1=(Token)match(input,25,FollowSets000.FOLLOW_25_in_ruleConnector1942); 

                	newLeafNode(otherlv_1, grammarAccess.getConnectorAccess().getColonKeyword_1());
                
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:835:1: ( ( ruleQualifiedName ) )
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:836:1: ( ruleQualifiedName )
            {
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:836:1: ( ruleQualifiedName )
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:837:3: ruleQualifiedName
            {

            			if (current==null) {
            	            current = createModelElement(grammarAccess.getConnectorRule());
            	        }
                    
             
            	        newCompositeNode(grammarAccess.getConnectorAccess().getEndAPortCrossReference_2_0()); 
            	    
            pushFollow(FollowSets000.FOLLOW_ruleQualifiedName_in_ruleConnector1965);
            ruleQualifiedName();

            state._fsp--;

             
            	        afterParserOrEnumRuleCall();
            	    

            }


            }

            otherlv_3=(Token)match(input,33,FollowSets000.FOLLOW_33_in_ruleConnector1977); 

                	newLeafNode(otherlv_3, grammarAccess.getConnectorAccess().getLessThanSignHyphenMinusGreaterThanSignKeyword_3());
                
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:854:1: ( ( ruleQualifiedName ) )
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:855:1: ( ruleQualifiedName )
            {
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:855:1: ( ruleQualifiedName )
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:856:3: ruleQualifiedName
            {

            			if (current==null) {
            	            current = createModelElement(grammarAccess.getConnectorRule());
            	        }
                    
             
            	        newCompositeNode(grammarAccess.getConnectorAccess().getEndBPortCrossReference_4_0()); 
            	    
            pushFollow(FollowSets000.FOLLOW_ruleQualifiedName_in_ruleConnector2000);
            ruleQualifiedName();

            state._fsp--;

             
            	        afterParserOrEnumRuleCall();
            	    

            }


            }

            otherlv_5=(Token)match(input,20,FollowSets000.FOLLOW_20_in_ruleConnector2012); 

                	newLeafNode(otherlv_5, grammarAccess.getConnectorAccess().getSemicolonKeyword_5());
                

            }


            }

             leaveRule(); 
        }
         
            catch (RecognitionException re) { 
                recover(input,re); 
                appendSkippedTokens();
            } 
        finally {
        }
        return current;
    }
    // $ANTLR end "ruleConnector"


    // $ANTLR start "entryRulePort"
    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:881:1: entryRulePort returns [EObject current=null] : iv_rulePort= rulePort EOF ;
    public final EObject entryRulePort() throws RecognitionException {
        EObject current = null;

        EObject iv_rulePort = null;


        try {
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:882:2: (iv_rulePort= rulePort EOF )
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:883:2: iv_rulePort= rulePort EOF
            {
             newCompositeNode(grammarAccess.getPortRule()); 
            pushFollow(FollowSets000.FOLLOW_rulePort_in_entryRulePort2048);
            iv_rulePort=rulePort();

            state._fsp--;

             current =iv_rulePort; 
            match(input,EOF,FollowSets000.FOLLOW_EOF_in_entryRulePort2058); 

            }

        }
         
            catch (RecognitionException re) { 
                recover(input,re); 
                appendSkippedTokens();
            } 
        finally {
        }
        return current;
    }
    // $ANTLR end "entryRulePort"


    // $ANTLR start "rulePort"
    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:890:1: rulePort returns [EObject current=null] : ( (otherlv_0= 'Port' | otherlv_1= 'port' ) ( (lv_name_2_0= ruleEString ) ) otherlv_3= ':' ( ( ruleQualifiedName ) ) otherlv_5= ';' ) ;
    public final EObject rulePort() throws RecognitionException {
        EObject current = null;

        Token otherlv_0=null;
        Token otherlv_1=null;
        Token otherlv_3=null;
        Token otherlv_5=null;
        AntlrDatatypeRuleToken lv_name_2_0 = null;


         enterRule(); 
            
        try {
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:893:28: ( ( (otherlv_0= 'Port' | otherlv_1= 'port' ) ( (lv_name_2_0= ruleEString ) ) otherlv_3= ':' ( ( ruleQualifiedName ) ) otherlv_5= ';' ) )
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:894:1: ( (otherlv_0= 'Port' | otherlv_1= 'port' ) ( (lv_name_2_0= ruleEString ) ) otherlv_3= ':' ( ( ruleQualifiedName ) ) otherlv_5= ';' )
            {
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:894:1: ( (otherlv_0= 'Port' | otherlv_1= 'port' ) ( (lv_name_2_0= ruleEString ) ) otherlv_3= ':' ( ( ruleQualifiedName ) ) otherlv_5= ';' )
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:894:2: (otherlv_0= 'Port' | otherlv_1= 'port' ) ( (lv_name_2_0= ruleEString ) ) otherlv_3= ':' ( ( ruleQualifiedName ) ) otherlv_5= ';'
            {
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:894:2: (otherlv_0= 'Port' | otherlv_1= 'port' )
            int alt21=2;
            int LA21_0 = input.LA(1);

            if ( (LA21_0==34) ) {
                alt21=1;
            }
            else if ( (LA21_0==35) ) {
                alt21=2;
            }
            else {
                NoViableAltException nvae =
                    new NoViableAltException("", 21, 0, input);

                throw nvae;
            }
            switch (alt21) {
                case 1 :
                    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:894:4: otherlv_0= 'Port'
                    {
                    otherlv_0=(Token)match(input,34,FollowSets000.FOLLOW_34_in_rulePort2096); 

                        	newLeafNode(otherlv_0, grammarAccess.getPortAccess().getPortKeyword_0_0());
                        

                    }
                    break;
                case 2 :
                    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:899:7: otherlv_1= 'port'
                    {
                    otherlv_1=(Token)match(input,35,FollowSets000.FOLLOW_35_in_rulePort2114); 

                        	newLeafNode(otherlv_1, grammarAccess.getPortAccess().getPortKeyword_0_1());
                        

                    }
                    break;

            }

            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:903:2: ( (lv_name_2_0= ruleEString ) )
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:904:1: (lv_name_2_0= ruleEString )
            {
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:904:1: (lv_name_2_0= ruleEString )
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:905:3: lv_name_2_0= ruleEString
            {
             
            	        newCompositeNode(grammarAccess.getPortAccess().getNameEStringParserRuleCall_1_0()); 
            	    
            pushFollow(FollowSets000.FOLLOW_ruleEString_in_rulePort2136);
            lv_name_2_0=ruleEString();

            state._fsp--;


            	        if (current==null) {
            	            current = createModelElementForParent(grammarAccess.getPortRule());
            	        }
                   		set(
                   			current, 
                   			"name",
                    		lv_name_2_0, 
                    		"EString");
            	        afterParserOrEnumRuleCall();
            	    

            }


            }

            otherlv_3=(Token)match(input,25,FollowSets000.FOLLOW_25_in_rulePort2148); 

                	newLeafNode(otherlv_3, grammarAccess.getPortAccess().getColonKeyword_2());
                
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:925:1: ( ( ruleQualifiedName ) )
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:926:1: ( ruleQualifiedName )
            {
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:926:1: ( ruleQualifiedName )
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:927:3: ruleQualifiedName
            {

            			if (current==null) {
            	            current = createModelElement(grammarAccess.getPortRule());
            	        }
                    
             
            	        newCompositeNode(grammarAccess.getPortAccess().getDefinitionPortDefCrossReference_3_0()); 
            	    
            pushFollow(FollowSets000.FOLLOW_ruleQualifiedName_in_rulePort2171);
            ruleQualifiedName();

            state._fsp--;

             
            	        afterParserOrEnumRuleCall();
            	    

            }


            }

            otherlv_5=(Token)match(input,20,FollowSets000.FOLLOW_20_in_rulePort2183); 

                	newLeafNode(otherlv_5, grammarAccess.getPortAccess().getSemicolonKeyword_4());
                

            }


            }

             leaveRule(); 
        }
         
            catch (RecognitionException re) { 
                recover(input,re); 
                appendSkippedTokens();
            } 
        finally {
        }
        return current;
    }
    // $ANTLR end "rulePort"


    // $ANTLR start "entryRuleQualifiedName"
    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:952:1: entryRuleQualifiedName returns [String current=null] : iv_ruleQualifiedName= ruleQualifiedName EOF ;
    public final String entryRuleQualifiedName() throws RecognitionException {
        String current = null;

        AntlrDatatypeRuleToken iv_ruleQualifiedName = null;


        try {
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:953:2: (iv_ruleQualifiedName= ruleQualifiedName EOF )
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:954:2: iv_ruleQualifiedName= ruleQualifiedName EOF
            {
             newCompositeNode(grammarAccess.getQualifiedNameRule()); 
            pushFollow(FollowSets000.FOLLOW_ruleQualifiedName_in_entryRuleQualifiedName2220);
            iv_ruleQualifiedName=ruleQualifiedName();

            state._fsp--;

             current =iv_ruleQualifiedName.getText(); 
            match(input,EOF,FollowSets000.FOLLOW_EOF_in_entryRuleQualifiedName2231); 

            }

        }
         
            catch (RecognitionException re) { 
                recover(input,re); 
                appendSkippedTokens();
            } 
        finally {
        }
        return current;
    }
    // $ANTLR end "entryRuleQualifiedName"


    // $ANTLR start "ruleQualifiedName"
    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:961:1: ruleQualifiedName returns [AntlrDatatypeRuleToken current=new AntlrDatatypeRuleToken()] : (this_ID_0= RULE_ID (kw= '.' this_ID_2= RULE_ID )* ) ;
    public final AntlrDatatypeRuleToken ruleQualifiedName() throws RecognitionException {
        AntlrDatatypeRuleToken current = new AntlrDatatypeRuleToken();

        Token this_ID_0=null;
        Token kw=null;
        Token this_ID_2=null;

         enterRule(); 
            
        try {
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:964:28: ( (this_ID_0= RULE_ID (kw= '.' this_ID_2= RULE_ID )* ) )
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:965:1: (this_ID_0= RULE_ID (kw= '.' this_ID_2= RULE_ID )* )
            {
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:965:1: (this_ID_0= RULE_ID (kw= '.' this_ID_2= RULE_ID )* )
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:965:6: this_ID_0= RULE_ID (kw= '.' this_ID_2= RULE_ID )*
            {
            this_ID_0=(Token)match(input,RULE_ID,FollowSets000.FOLLOW_RULE_ID_in_ruleQualifiedName2271); 

            		current.merge(this_ID_0);
                
             
                newLeafNode(this_ID_0, grammarAccess.getQualifiedNameAccess().getIDTerminalRuleCall_0()); 
                
            // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:972:1: (kw= '.' this_ID_2= RULE_ID )*
            loop22:
            do {
                int alt22=2;
                int LA22_0 = input.LA(1);

                if ( (LA22_0==36) ) {
                    alt22=1;
                }


                switch (alt22) {
            	case 1 :
            	    // ../org.xtext.reusableComponents/src-gen/org/xtext/parser/antlr/internal/InternalReusableComponents.g:973:2: kw= '.' this_ID_2= RULE_ID
            	    {
            	    kw=(Token)match(input,36,FollowSets000.FOLLOW_36_in_ruleQualifiedName2290); 

            	            current.merge(kw);
            	            newLeafNode(kw, grammarAccess.getQualifiedNameAccess().getFullStopKeyword_1_0()); 
            	        
            	    this_ID_2=(Token)match(input,RULE_ID,FollowSets000.FOLLOW_RULE_ID_in_ruleQualifiedName2305); 

            	    		current.merge(this_ID_2);
            	        
            	     
            	        newLeafNode(this_ID_2, grammarAccess.getQualifiedNameAccess().getIDTerminalRuleCall_1_1()); 
            	        

            	    }
            	    break;

            	default :
            	    break loop22;
                }
            } while (true);


            }


            }

             leaveRule(); 
        }
         
            catch (RecognitionException re) { 
                recover(input,re); 
                appendSkippedTokens();
            } 
        finally {
        }
        return current;
    }
    // $ANTLR end "ruleQualifiedName"

    // Delegated rules


 

    
    private static class FollowSets000 {
        public static final BitSet FOLLOW_ruleRoot_in_entryRuleRoot75 = new BitSet(new long[]{0x0000000000000000L});
        public static final BitSet FOLLOW_EOF_in_entryRuleRoot85 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_ruleImport_in_ruleRoot131 = new BitSet(new long[]{0x000000010063B802L});
        public static final BitSet FOLLOW_ruleRepository_in_ruleRoot153 = new BitSet(new long[]{0x000000010063B002L});
        public static final BitSet FOLLOW_ruleSystem_in_ruleRoot175 = new BitSet(new long[]{0x0000000100038002L});
        public static final BitSet FOLLOW_ruleImport_in_entryRuleImport212 = new BitSet(new long[]{0x0000000000000000L});
        public static final BitSet FOLLOW_EOF_in_entryRuleImport222 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_11_in_ruleImport259 = new BitSet(new long[]{0x0000000000000030L});
        public static final BitSet FOLLOW_ruleEString_in_ruleImport280 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_ruleRepository_in_entryRuleRepository316 = new BitSet(new long[]{0x0000000000000000L});
        public static final BitSet FOLLOW_EOF_in_entryRuleRepository326 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_12_in_ruleRepository409 = new BitSet(new long[]{0x0000000000000030L});
        public static final BitSet FOLLOW_13_in_ruleRepository427 = new BitSet(new long[]{0x0000000000000030L});
        public static final BitSet FOLLOW_ruleEString_in_ruleRepository449 = new BitSet(new long[]{0x0000000000004000L});
        public static final BitSet FOLLOW_14_in_ruleRepository461 = new BitSet(new long[]{0x00000000000C0000L});
        public static final BitSet FOLLOW_ruleServiceDef_in_ruleRepository482 = new BitSet(new long[]{0x00000000006C3002L});
        public static final BitSet FOLLOW_ruleComponentDef_in_ruleRepository560 = new BitSet(new long[]{0x000000000060B000L});
        public static final BitSet FOLLOW_15_in_ruleRepository573 = new BitSet(new long[]{0x0000000000603002L});
        public static final BitSet FOLLOW_ruleSystem_in_entryRuleSystem655 = new BitSet(new long[]{0x0000000000000000L});
        public static final BitSet FOLLOW_EOF_in_entryRuleSystem665 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_16_in_ruleSystem748 = new BitSet(new long[]{0x0000000000000030L});
        public static final BitSet FOLLOW_17_in_ruleSystem766 = new BitSet(new long[]{0x0000000000000030L});
        public static final BitSet FOLLOW_ruleEString_in_ruleSystem788 = new BitSet(new long[]{0x0000000000004000L});
        public static final BitSet FOLLOW_14_in_ruleSystem800 = new BitSet(new long[]{0x00000000C0000000L});
        public static final BitSet FOLLOW_ruleComponent_in_ruleSystem821 = new BitSet(new long[]{0x00000001C0038002L});
        public static final BitSet FOLLOW_ruleConnector_in_ruleSystem899 = new BitSet(new long[]{0x0000000100008000L});
        public static final BitSet FOLLOW_15_in_ruleSystem912 = new BitSet(new long[]{0x0000000100038002L});
        public static final BitSet FOLLOW_ruleEString_in_entryRuleEString995 = new BitSet(new long[]{0x0000000000000000L});
        public static final BitSet FOLLOW_EOF_in_entryRuleEString1006 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_RULE_STRING_in_ruleEString1046 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_RULE_ID_in_ruleEString1072 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_ruleServiceDef_in_entryRuleServiceDef1117 = new BitSet(new long[]{0x0000000000000000L});
        public static final BitSet FOLLOW_EOF_in_entryRuleServiceDef1127 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_18_in_ruleServiceDef1174 = new BitSet(new long[]{0x0000000000000030L});
        public static final BitSet FOLLOW_19_in_ruleServiceDef1192 = new BitSet(new long[]{0x0000000000000030L});
        public static final BitSet FOLLOW_ruleEString_in_ruleServiceDef1214 = new BitSet(new long[]{0x0000000000100000L});
        public static final BitSet FOLLOW_20_in_ruleServiceDef1226 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_ruleComponentDef_in_entryRuleComponentDef1262 = new BitSet(new long[]{0x0000000000000000L});
        public static final BitSet FOLLOW_EOF_in_entryRuleComponentDef1272 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_21_in_ruleComponentDef1310 = new BitSet(new long[]{0x0000000000000030L});
        public static final BitSet FOLLOW_22_in_ruleComponentDef1328 = new BitSet(new long[]{0x0000000000000030L});
        public static final BitSet FOLLOW_ruleEString_in_ruleComponentDef1350 = new BitSet(new long[]{0x0000000000004000L});
        public static final BitSet FOLLOW_14_in_ruleComponentDef1362 = new BitSet(new long[]{0x0000000001800000L});
        public static final BitSet FOLLOW_rulePortDef_in_ruleComponentDef1383 = new BitSet(new long[]{0x0000000001808000L});
        public static final BitSet FOLLOW_15_in_ruleComponentDef1396 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_rulePortDef_in_entryRulePortDef1432 = new BitSet(new long[]{0x0000000000000000L});
        public static final BitSet FOLLOW_EOF_in_entryRulePortDef1442 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_23_in_rulePortDef1480 = new BitSet(new long[]{0x0000000000000030L});
        public static final BitSet FOLLOW_24_in_rulePortDef1498 = new BitSet(new long[]{0x0000000000000030L});
        public static final BitSet FOLLOW_ruleEString_in_rulePortDef1520 = new BitSet(new long[]{0x0000000002000000L});
        public static final BitSet FOLLOW_25_in_rulePortDef1532 = new BitSet(new long[]{0x0000000004000000L});
        public static final BitSet FOLLOW_26_in_rulePortDef1544 = new BitSet(new long[]{0x0000000008000000L});
        public static final BitSet FOLLOW_27_in_rulePortDef1556 = new BitSet(new long[]{0x0000000000000030L});
        public static final BitSet FOLLOW_ruleEString_in_rulePortDef1579 = new BitSet(new long[]{0x0000000030000000L});
        public static final BitSet FOLLOW_28_in_rulePortDef1592 = new BitSet(new long[]{0x0000000030000030L});
        public static final BitSet FOLLOW_ruleEString_in_rulePortDef1615 = new BitSet(new long[]{0x0000000030000030L});
        public static final BitSet FOLLOW_29_in_rulePortDef1630 = new BitSet(new long[]{0x0000000000100000L});
        public static final BitSet FOLLOW_20_in_rulePortDef1642 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_ruleComponent_in_entryRuleComponent1678 = new BitSet(new long[]{0x0000000000000000L});
        public static final BitSet FOLLOW_EOF_in_entryRuleComponent1688 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_30_in_ruleComponent1726 = new BitSet(new long[]{0x0000000000000030L});
        public static final BitSet FOLLOW_31_in_ruleComponent1744 = new BitSet(new long[]{0x0000000000000030L});
        public static final BitSet FOLLOW_ruleEString_in_ruleComponent1766 = new BitSet(new long[]{0x0000000002000000L});
        public static final BitSet FOLLOW_25_in_ruleComponent1778 = new BitSet(new long[]{0x0000000000000030L});
        public static final BitSet FOLLOW_ruleEString_in_ruleComponent1801 = new BitSet(new long[]{0x0000000000004000L});
        public static final BitSet FOLLOW_14_in_ruleComponent1813 = new BitSet(new long[]{0x0000000C00000000L});
        public static final BitSet FOLLOW_rulePort_in_ruleComponent1834 = new BitSet(new long[]{0x0000000C00008000L});
        public static final BitSet FOLLOW_15_in_ruleComponent1847 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_ruleConnector_in_entryRuleConnector1883 = new BitSet(new long[]{0x0000000000000000L});
        public static final BitSet FOLLOW_EOF_in_entryRuleConnector1893 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_32_in_ruleConnector1930 = new BitSet(new long[]{0x0000000002000000L});
        public static final BitSet FOLLOW_25_in_ruleConnector1942 = new BitSet(new long[]{0x0000000000000020L});
        public static final BitSet FOLLOW_ruleQualifiedName_in_ruleConnector1965 = new BitSet(new long[]{0x0000000200000000L});
        public static final BitSet FOLLOW_33_in_ruleConnector1977 = new BitSet(new long[]{0x0000000000000020L});
        public static final BitSet FOLLOW_ruleQualifiedName_in_ruleConnector2000 = new BitSet(new long[]{0x0000000000100000L});
        public static final BitSet FOLLOW_20_in_ruleConnector2012 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_rulePort_in_entryRulePort2048 = new BitSet(new long[]{0x0000000000000000L});
        public static final BitSet FOLLOW_EOF_in_entryRulePort2058 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_34_in_rulePort2096 = new BitSet(new long[]{0x0000000000000030L});
        public static final BitSet FOLLOW_35_in_rulePort2114 = new BitSet(new long[]{0x0000000000000030L});
        public static final BitSet FOLLOW_ruleEString_in_rulePort2136 = new BitSet(new long[]{0x0000000002000000L});
        public static final BitSet FOLLOW_25_in_rulePort2148 = new BitSet(new long[]{0x0000000000000020L});
        public static final BitSet FOLLOW_ruleQualifiedName_in_rulePort2171 = new BitSet(new long[]{0x0000000000100000L});
        public static final BitSet FOLLOW_20_in_rulePort2183 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_ruleQualifiedName_in_entryRuleQualifiedName2220 = new BitSet(new long[]{0x0000000000000000L});
        public static final BitSet FOLLOW_EOF_in_entryRuleQualifiedName2231 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_RULE_ID_in_ruleQualifiedName2271 = new BitSet(new long[]{0x0000001000000002L});
        public static final BitSet FOLLOW_36_in_ruleQualifiedName2290 = new BitSet(new long[]{0x0000000000000020L});
        public static final BitSet FOLLOW_RULE_ID_in_ruleQualifiedName2305 = new BitSet(new long[]{0x0000001000000002L});
    }


}